MyAlbum, simple image cataloger and slideshow.

Click here to go to the MyAlbum web site

MyAlbum

Simple image cataloger and slideshow.

MyAlbum is a powerful and flexible tool for building electronic photo albums, organizing and viewing your image files.

The program's main features are:

  • A free picture cataloger for building easily digital photo album.
  • Builds self-running all-in-one albums.
  • Supported picture formats JPEG, BMP, PNG, GIF, animated GIF, TIFF, TGA, PCX and WMF files.
  • Supported video formats AVI, MOV (QuickTime), MPEG.
  • Other format: HTML (IE 4 or above needed).
  • Comment and keywords can be added to each picture.
  • Searching on file name, comment or keyword.
  • Full screen display, zoom, unzoom, fit to screen.
  • Manual, automatic, random and multiple slideshow with background music.
  • Easy printing of the thumbnail pages.
  • Poster printing on several sheets of paper.
  • Build contact sheets and HTML pages.
  • Easy convert, resize of the pictures.
  • Special features for building CDROM album.
  • Extracts information from images taken with digital cameras.
  • Integrated script tool (VBScript, JavaScript, Perl,...).
  • Screen saver to play albums when PC is unattended.

How To ...

Create a new album

Add pictures to an album

Display pictures and start a slideshow

Customize the display of the pictures

Add sound to a slideshow

Use the Screen Saver

Print an album, some pictures or a poster

Export the album and build HTML pages

Build a CD-Rom album

Write and use scripts

Use information stored by digital cameras (EXIF)

Commands

File menu

Edit menu

View menu

Picture menu

Find menu

Tools menu

Window menu

Help menu

Technical reference

©2002 myalbumpro.com, All Rights Reserved
http://myalbumpro.com/MyAlbum.html


Using and modifying the album

The Thumbnail view - Using and modifying the album

The thumbnail view is the main view in MyAlbum.
It shows the content of an album; pictures added to an album are displayed in the thumbnail view as reduced pictures called thumbnails. The thumbnail itself is included in a gray square with a caption text at the bottom: these gray squares are called slides.

An album can of course contain a large number of pictures, use the vertical scroll bar located at the right border of the thumbnail view to scroll thru the album. You can also use the wheel of your mouse to quickly scroll up and down the album.

The above example shows the demo album. We can see that each slide has a different color:
  • the first slide is in the inactive state (gray background)
  • the second is selected (blue background)
  • the third is selected and is the current picture (caption is red)
  • the first on the second line has a little red cross in the upper right corner, the picture is marked.
  • the caption usually display the name of the picture file but can be customized: here it shows also the size of the file in KB.

There is only one current picture at a time but, on the contrary the number of selected picture at a time may vary from none to all.

Common commands and shortcuts:

Menu command | Shortcut | Description
View > View picture | Enter | Display the current picture full screen.
Picture > Edit picture | Ctrl + Enter | Start the editor and open the current picture.
Picture > Hide - Show | F5 | Hide or show the current picture.
Edit > Album information | F6 | Display information about the current album.
Picture > Picture information | F7 | Display information about the current picture. You can also click the Info button located in the Quick Info window.
View > Slideshow | Shift + S | Start a slideshow
View > Slideshow selected | Shift + Ctrl + S | Start a slideshow of only the selected pictures.
Picture > Rename | F2 | Rename the current picture, the caption of the slide becomes editable so the name can be changed. Validate the change with the Enter key or abort the operation with the Esc key.
Find > Find | Ctrl + F | Search the album for pictures (search on name, comment, keyword,...).
Find > Find next | F3 | Continue or repeat the last Find command.
Edit > Delete | Del | Remove the selected pictures from the album.
Edit > Delete file | Shift + Ctrl + Del | Remove the selected pictures from the album and delete their files. Caution! This command will destroy the selected pictures!

Common commands using the keyboard :

Key | Description
Arrow keys | Change the current picture to the next, previous picture or the one located on the next or previous line in the view.
Home & End keys | Go to the first or last picture of the thumbnail view.
Page Down & Page Up keys | Move one page down or up in the thumbnail view.
Arrow keys + Shift | Extend the selection in the corresponding direction.
Left & Right arrow + Ctrl | Change the current picture within the set of selected pictures.

Using the mouse

Mouse button | Description
Left button (single click) | On the thumbnail: Makes the clicked picture the current one and select it. On the slide caption: The filename becomes editable so the picture can be renamed. In the slide upper-right corner: The flag is set or removed (red X).
Left button (double click) | Display the clicked picture in full-screen mode.
Right button | Displays a popup menu with commonly used commands to apply to the clicked picture (view, information, rename,...).
Mouse wheel | Scroll the thumbnail view in the according direction.
Left button with the Shift key | Select all the pictures from the current picture to the clicked picture.
Left button with the Ctrl key | Toggle the selected state of the clicked picture (without affecting the other pictures).

You can also use the mouse to move the pictures in the album (to arrange them in a specific order for instance). To do this, just drag the pictures you want to move and drop them in their new location.

If you move the mouse outside of the album window, two things can happen depending on the border type:

  • top or bottom border: the window will scroll accordingly so you can drop the pictures in any place within the album.
  • left or right border: you will start an OLE drag'n drop. That is you can drop the pictures in any compatible applications: word processors, image editing applications, email applications,... and the Windows Explorer.

When dropping pictures in the Windows Explorer, the pictures will be copied (or moved if the Shift key is pressed) in the folder pointed with the mouse.

Note that if you MOVE the pictures, you will have to update the drive/folder information in MyAlbum as the thumbnails will still point to previous location.


Viewing the album in a table

The List view - Viewing the album in a table

The List view is another way to display your album. The thumbnails will not be displayed as it can only show text but this view has the following properties:

  • More information can be displayed on the screen,
  • Data can be modified directly in the cells of the table,
  • The list can be dynamically sorted on one or several columns without changing the picture order in the album.
  • ... and you can still display your pictures full-screen, start a slideshow and access all the other MyAlbum commands!

Displaying a List View

To display the current album as a list, select the command New List window in the Window menu or click the [image] button in the toolbar.

The Find command in the Find menu can also be instructed to display the result of the search in a new List View.

Sorting the list

The List view can be sorted dynamically and independantly of the pictures order in the album: you can sort the list without disturbing the order the pictures appear in your album.
The header of the list works as buttons to sort the list. The first time you click a column header the list will be sorted using the column data as a ascending key, if you click again the same header, the sort will be descending. Clicking another column header will set the sort on the new column.
You can sort the list one more than one column: clicking another column header while pressing the Ctrl key will add the column to the sort. The header of the list will show the columns used in the sort and their order. Again clicking a sorting column (with the Ctrl key pressed) will reverse the sort order for this column.
For instance, the above screen-shot shows a list sorted using the date as the primary key (ascending order) and the file size as the secondary key (descending order).

Note that if the sorting is done alphabetically some data, for instance dates, will not be sorted correctly (unless they are in the Japanese style: year first, then month and day).

Using the list

The fist column of the list is always a read-only column. It will be use to select and deselect pictures. A selected picture is displayed with its whole row in reverse color (like picture #7 in the above screen shot).

Common commands and shortcuts:

Menu command or keyboard action | Shortcut | Description
View > View picture | Enter (on a read-only cell) | Display the current picture full screen.
F2 |  | Edit the current cell (if not read-only)
Arrow keys + Shift |  | Extend the selection in the corresponding direction.

Using the mouse

Mouse button | Description
Left button (single click) | On the left most column: Select the clicked picture. On the first row: Sort the list using the clicked column.
Left button (double click) | On a read-only cell: Display the clicked picture in full-screen mode. On an editable cell: Edit the value.
Left button with the Shift key | Select all the pictures from the current picture to the clicked picture.
Left button with the Ctrl key | Toggle the selected state of the clicked picture (without affecting the other pictures).


The full-screen view - Viewing the pictures

The full-screen view is the view you will use to display your pictures in MyAlbum.
It will occupy the whole screen for displaying your pictures.

The full-screen view will be used in

  • View mode where only one picture can be displayed, this is the case when you double-click a picture in the thumbnail view.
  • Slideshow mode to display a sequence of pictures (advancing to the next picture manually or automatically).

What you will see:
  • the current picture (!) occupying most of the screen,
  • at the bottom of the screen, a line of comment displaying information about the current picture.

Tips:

  • By pressing the F7 key, you can view and edit the Picture Information; pressing the F6 key will display the Album information dialog box.
  • Clicking with the right mouse button will display a popup menu.
  • Clicking both buttons will close the full-screen view and return to the album view.
  • Clicking near the bottom of the screen will display the entire comment (if any) of the picture (you have to keep the button pressed to display the comment, clicking the second mouse button will "lock" the comment).
  • Clicking with the right mouse button near the bottom of the screen will start the default Web browser with the URL defined in the picture information (if defined).
  • Take a look at the Customize the display of the pictures How to... page for more information on how to customize the full-screen view to suit your needs.

The following commands are available when viewing a picture (or during a slideshow):

Key | Description
Esc | Close the picture and return to the album.
Arrow keys, Home & End, Page up & down | Pan the picture if larger than the screen.
Space bar, mouse left button | Slideshow: display the next picture.
B or Backspace keys | Slideshow: display the previous picture.
Alt + <-- | Slideshow: go back.
I | Display the picture using its original size.
F | Display the picture using the whole screen.
Z | Zoom the picture and, if repeated increase the zoom factor.
Shift + Z | Zoom out the picture and, if repeated decrease the zoom factor.
M | Smart sizing, display the picture full screen unless it's a small picture.
H | Horizontal fit: the picture is resized so its height fits the screen
V | Vertical fit: the picture is resized so its width fits the screen
C | Toggle the comment display.
S or Pause key | Slideshow: pause or restart an automatic slideshow.
P | Slideshow: Toggle the multi slideshow mode.
Ctrl + C | Copy the current picture to the Windows clipboard.
Q | Animated picture or video: pause or restart the animation.
Ctrl + Left and right arrows | Animated picture: when animation is paused, move through the animation. Video: skip backward or forward 1s.
* (Num keypad) | Reload the picture from disk (video: restart from beginning).
A | Restart the background music (if any).
K | Switch between the cropping modes (no cropping, definition of the cropping rectangle, cropping activated).

Joystick (if connected) | Note that these are the default commands (buttons assignment can be customized)
Moving the stick | Pan the image in the direction of the stick.
Button 1 | Slideshow: display the next picture.
Button 2 | Slideshow: display the previous picture.
Button 1 + Button 2 | Close the picture and return to the album.
Button 3 | Zoom in.
Button 4 | Zoom out.
Button 3 + Button 4 | Smart viewing.


File menu commands

The File menu offers the following commands:

New | Creates a new album.
New album wizard | Creates a new album using a wizard.
Open | Opens an existing album.
Close | Closes an opened album.
Save | Saves an opened album using the same file name.
Save As | Saves an opened album to a specified file name.
Print album | Prints an album.
Print album Preview | Displays the album on the screen, as it would appear printed.
Print Setup | Selects a printer and printer connection.
Print the selected pictures | Open a new window for printing the selected pictures and setting up the page layout
Application setup... | Setup of the MyAlbum application
Exit | Exits MyAlbum.


File New command

New command (File menu)

Use this command to create a new album in MyAlbum.

You can open an existing album with the Open command.

Shortcuts

Toolbar:

Keys: CTRL + N


New album wizard command (File menu)

Use this command to create a new album using a wizard that will guide you through the process.

This wizard has five pages and you can move from one to the other with the Next and Back buttons, when done click the Finish button.

  • the Welcome page is only there to greet new users,

  • in the General settings page, you can name your new album, define the keywords it will contain and set the main settings for slideshow,

  • in the Color and Appearance page, you can choose the colors used during slideshow,

  • in the Custom fields page, you can add user-defined fields like Date or Location,

  • in the last page, Adding picture, you will have the opportunity to add pictures to your new album.

Remember also that you can go back to any of these settings later.


New Album wizard

Welcome to MyAlbum !

You are about to create a new album.

This wizard will guide you through the steps of creating an album, choosing the basic settings and adding picture to the album.

You can use the Next and Previous buttons to move from one screen to another.

On the last screen the Finish button will be active, click then this button to complete the album creation.

Note: This wizard is started whenever you create a new album but you can disable this by checking the check box Don't display this wizard... and closing the window with the Finish button.


Album information

Album Information command (Edit menu)

This dialog box displays information about the current album.

When creating a new album this is the place where you can give a title and a comment to your album.

This dialog box is divided in four tabs:

  • General settings: this is the main tab. It displays the following information:
    • Date the album was created,
    • Date the album was last saved,
    • The total number of pictures and the number of visible (non hidden) picture in the album (see the Picture information dialog box for information about how to hide and show a picture),
    • The file version of the album,
    • The keyword group is used for defining keywords that can be assigned later to the pictures. A keyword can optionally be defined as a Tab. When Tabs are defined, they will be displayed at the bottom of the album view for quick access to the pictures that have this keyword.
    • The Slideshow & display group is for setting how MyAlbum will display the pictures on the screen:
      • Delay: delay in second between two pictures in automatic slideshow mode.
      • Autoflip: select the automatic slideshow mode by default.
      • Use relative path: use actual path to album for locating pictures (useful for CD-ROM album).
      • Background music: play command to execute when starting a slideshow.
      • Mode: default display mode for the pictures.
  • Color and Appearance: this tab is used to define the colors and fonts used by the current album.
  • Custom fields: this tab is used to define the custom fields of the current album.
  • Album Viewer settings: this tab is used to define how the album will behave with the album viewer.

Shortcuts

Keys: F6


Album color settings

Album Color and Appearance

This dialog box is used to select the colors that will be used for the current album.

You can select the thumbnail image size (in pixel) and the slide (frame enclosing the thumbnail image and the image name) size. The slide size must be larger than the thumbnail size.

Please note that changing the thumbnail size will not be applied to the pictures already in the album but only the pictures that will be added afterwards (to update existing pictures, select all of them, press the Ctrl key and select the Edit | Update thumbnails).

Along with these sizes, you can choose the font to use when displaying the picture name.

    The main group in this dialog box if for selecting the colors that will be used during picture viewing and slideshow. You can choose the color for:

    • The background of the screen,
    • The background of the one line comment of the current picture or choose the background to be transparent,
    • The position and the text color of this comment and its font,
    • The background color of the popup that display the entire comment of the current picture (when clicking and holding the left mouse button on the bottom of the screen),
    • The text color of the popup that display the entire comment of the current picture.

    Note: Color settings regarding the thumbnails are in the application setup dialog box.

      The last group in this dialog box if for selecting the display strings that will be used for displaying text. You can define the display strings for:

      • The thumbnail text,
      • The ToolTip text of the thumbnail,
      • The picture Quick Info text,
      • The picture short comment in full screen mode,
      • The picture full comment in full screen mode.


Defining the album custom fields

Defining the custom fields of an album

A custom field is a value you can define for any picture in your album.

    You can attach a description to a picture but you may also want to add more specific information. For instance, in a photo album you may want to define for each picture the date it was taken, the location, the camera used,... To do so, you will define custom fields named Date, Location, Camera,... and say the first one is a date and the others are just text information.

      You can define as many custom fields as you want using the three pre-defined types:

      • String: a line of text.
      • Date: a date.
      • Time: a time.
      • List: a list of choice the user will select one from.

      With this dialog box, you can defined the custom fields for your album. You can define them one by one:

      • Enter the name of the field in the edit field, select the type in the drop-down list and click the Add button to create a new custom field.
      • Select an existing custom field in the list and click the Delete button to remove a custom field.
      • Select an existing custom field, type its new name in the edit field and/or select its new type in the drop-down list and click the Rename button to rename the custom field or change its type.
      • If you define a custom field of type list, you will then have to define the different choices for your custom field. Type the text of the element and click the Add button (the one in the lower part of the window).

      Or you can also create them from one of the predefined template:

      • Select one of the templates from the second drop-down list.
      • Click the Build list button, the new custom fields will be added to the list.


Adding picture to the new album

Your new album is almost ready but is still empty!

With this dialog box, you can add picture files to your album:

  • Click the first Add... button to select one or more picture to add to the album,
  • Click the second Add... button to select a folder. All the pictures found in this folder and in its sub-folders will be added to your new album.

The pictures will be read and the corresponding thumbnails will appear in the album window.

You can then click the Finish button to close the wizard and start using the album or click again one of the two Add... buttons to add more pictures.

Note: You can stop the loading of the pictures by pressing the Esc key until it stops.


File Open command

Open command (File menu)

Use this command to open an existing album in a new window. You can open multiple albums at once. Use the Window menu to switch among the multiple open albums. See Window 1, 2, ... command.

You can create new albums with the New command.

Shortcuts

Toolbar:

Keys: CTRL + O


File Close command

Close command (File menu)

Use this command to close all windows containing the active album. MyAlbum suggests that you save changes to your album before you close it. If you close a album without saving, you lose all changes made since the last time you saved it. Before closing an untitled album, MyAlbum displays the Save As dialog box and suggests that you name and save the album.

You can also close an album by using the Close icon on the album 's window, as shown below:


File Save command

Save command (File menu)

Use this command to save the active album to its current name and directory. When you save a album for the first time, MyAlbum displays the Save As dialog box so you can name your album. If you want to change the name and directory of an existing album before you save it, choose the Save As command.

Shortcuts

Toolbar:

Keys: CTRL + S


File Save As command

Save As command (File menu)

Use this command to save and name the active album. MyAlbum displays the Save As dialog box so you can name your album.

To save an album with its existing name and directory, use the Save command.


File Print command

Print album command (File menu)

Use this command to print active album.

This command presents a Print dialog box, where you may specify the range of pages to be printed, the number of copies, the destination printer, and other printer setup options.

Shortcuts

Toolbar:

Keys: CTRL + P


File Print Preview command

Print Album Preview command (File menu)

Use this command to display the active album as it would appear when printed. When you choose this command, the main window will be replaced with a print preview window in which one or two pages will be displayed in their printed format. The print preview toolbar offers you options to view either one or two pages at a time; move back and forth through the album; zoom in and out of pages; and initiate a print job.


File Print Setup command

Print Setup command (File menu)

Use this command to select a printer and a printer connection. This command presents a Print Setup dialog box, where you specify the printer and its connection.


Printing the selected pictures

Print the selected pictures (File menu)

The printing module allows printing a set of pictures using a fully customizable layout.

Note : The printing module will use only the pictures that are currently selected. So before using this command you must first open an album and select the picture you want to print.

The printing module will display the sheet layout. The size of the page and its orientation will be the ones selected for the current printer. To modify these settings, use the command Print Setup in the File menu.

To print a set of pictures you can either open an existing layout (MyAlbum comes with some example layouts) or create a new one.

A sheet layout is composed of the following items:

  • The properties of the page: paper size, margins width.
  • The picture, text and shape areas that are placed on the sheet.

A picture area may contain:

  • a picture taken from the set of selected pictures to be printed. That's the normal case.
  • a static picture read from a graphic file used for printing a logo or a background.

A text area may contain:

  • a static text for printing a message or a copyright notice for instance,
  • an album-related text (its title for instance),
  • a picture-related text (its comment, its date). In this case the text area must be linked to a picture area that will supply the text area with information about the picture to be printed. A red line shows the link between a text area and a picture area.
  • a mix of the above. The text of a text area is a Display String that allows a maximum of flexibility for building the text to be printed.

A shape area will be used to draw basic static shapes on the sheet: lines, rectangles, circles,... Shapes can be filled and colored.

Use the toolbar for creating and editing the sheet layout:

  • Open an existing layout,
  • Save the current layout,
  • Display a print preview of the selected pictures using the current layout,
  • Start printing the selected pictures,
  • Enlarge the page (forward zoom),
  • Reduce the page (backward zoom),
  • Edit the layout parameters,
  • Add a new text area,
  • Add a new picture area,
  • Add a new shape area,
  • Edit the selected area,
  • Bring the selected area up (above the others),
  • Bring the selected area down (under the others),
  • Delete the selected area.

Use the mouse to select, move and resize the different areas.


Editing the sheet layout

Edit sheet layout

This windows is used for setting the parameters of the current sheet layout.

It can also be used to generate a simple standard layout that can be customized afterwards if needed.

The sheet layout parameters are:

  • Paper size,
  • Margins size.

Note: Dimensions are expressed in millimeters or inches depending on the measure system selected in Windows.

The Standard layout frame will generate a simple layout that can be used for printing pictures in an array fashion. Its parameters are:

  • Number of rows and columns in the array,
  • Spacing between the rows and columns of the array,
  • Optional printing of a page title, if selected choice of the display string and font,
  • Optional printing of a page footer, if selected choice of the display string and font,
  • Optional printing of an information line under each picture, if selected choice of the display string and font.

Picture area attributes:

  • Automatic rotation of the pictures to better fill the available space,
  • Cropping (if needed) of the picture borders to exactly fill the available space,
  • Repeat the same picture on all the areas defined on the sheet,
  • Use the cropping information defined for the pictures.

Once these parameters set, click the Build button to update the layout.

Caution: Using the Build button will reset the current layout and build a new one based on the new parameters values.


Editing area properties

Edit area properties

This window is used for editing the properties of the selected area (either a text, a picture or a shape area: some settings will only apply to a certain type of area).

Common properties are:

  • Area position on the sheet,
  • Area size.

Note: Dimensions are expressed in millimeters or inches depending on the measure system selected in Windows.

For a text area, the properties are:

  • Display String used to build the text to be printed,
  • Font and color of the text,
  • Horizontal and vertical alignments of the text,
  • Number of the linked picture area (if needed).

It will be necessary to link the text area to a picture area if the Display String has some codes related to the pictures (comment, custom fields for instance). The selected picture area will flash when selecting a number in the Linked picture area drop-down list.

For a picture area, the properties are:

  • Automatic rotation of the pictures to better fill the available space,
  • Cropping (if needed) of the picture borders to exactly fill the available space,
  • Same picture: use the same picture that was used for the previous picture area,
  • Use the cropping information defined for the pictures.
  • Use of a static picture. Enter in this edit field the name of a graphic file that will be repeated on each printed page. This is useful for including a logo or a background picture.

For a shape area, the properties are:

  • Type of the shape,
  • Color of the shape,
  • Shape filled or hollow,
  • Width of the pen used.


File Application setup command

Application setup command (File menu)

Use this command to adjust the setting of the MyAlbum application.

The dialog box displays the following tabs :

  • Files: select the files that MyAlbum will use.
  • Printer: options for printing (margins and fonts).
  • Display & Slideshow: options regarding image viewing.
  • Colors: setup the colors used by the application.
  • Monitors: used when more than one monitors are connected to the computer.
  • MAX : manage the MAX files used by the application.
  • List View : options for displaying the albums as lists.


Application setup - Files

This dialog box is used to select the global settings for MyAlbum, settings that will be shared by all the albums.

The dialog box has several tabs for accessing different categories of settings.

This tab shows the Files settings.

In this dialog box you can select:

  • The path to the Editor application that MyAlbum will call when you want to modify a picture. Type the full pathname of the application or click the Browse button.
  • The file types that MyAlbum will use.
  • The quality of the saved JPEG files: compression level and progressive encoding.
  • Interlaced or non interlaced GIF and PNG files.
  • The format used for displaying the dates.


Application setup - Printer

This dialog box is used to select the global settings for MyAlbum, settings that will be shared by all the albums.

The dialog box has several tabs for accessing different categories of settings.

This tab shows the Printer settings used when printing an album:

    In this dialog box you can select:

    • The size of the margins (expressed in millimeters),
    • The size of the thumbnails on paper,
    • The fonts for the picture name, the page header and the page footer,
    • The Display Strings for the page header and footer and the thumbnails,
    • Using the thumbnails (quicker) for printing or the pictures themselves (better result).


Application setup - Display & Slideshow

This dialog box is used to select the global settings for MyAlbum, settings that will be shared by all the albums.

The dialog box has several tabs for accessing different categories of settings.

This tab shows the Display & Slideshow settings:

This dialog has four groups of settings:

  • Navigation: select the method used advance to the next picture (or go backwards) during a slideshow.
  • Multi display: The multi display mode shows more than one picture on the screen at a time. You can choose the number of picture (columns and rows) and how the pictures will appear.
  • Image panning speed: use these settings to adjust the speed of the image movement when displaying picture bigger than the screen.
  • During slideshow: instruct MyAlbum what to do during a slideshow.


Application setup - Colors

This dialog box is used to select the global settings for MyAlbum, settings that will be shared by all the albums.

The dialog box has several tabs for accessing different categories of settings.

This tab shows the Colors settings:

In this dialog box you can select:

  • The background color of the thumbnails,
  • The background color of the thumbnails when the picture is selected,
  • The color of the text showing the picture name,
  • The color of this text for the current picture.

You can also choose the settings that will be applied to all the new albums:

  • The default size for the thumbnails (image and frame) that will be used when creating a new album.
  • The set of custom fields the album will contain.


Application setup - Monitors

This dialog box is used to select the global settings for MyAlbum, settings that will be shared by all the albums.

The dialog box has several tabs for accessing different categories of settings.

This tab is the Monitors tab and is used to choose how MyAlbum will display the pictures on a multiple monitor computer.

Note: If the computer has only one monitor connected, these settings are grayed and not accessible.

If more than one monitor are connected, MyAlbum can display the pictures on only one of them or on all of them (the sum of all the screen areas is call the virtual screen).

Depending on the pictures to display it may not be very aesthetic to have pictures straddling a screen boundary.

Note : The MyAlbum Screen Saver will use the above setting by default. It can however be set-up to use the whole virtual screen independantly of the MyAlbum setting.


Application setup - MAX

This dialog box is used to select the global settings for MyAlbum, settings that will be shared by all the albums.

The dialog box has several tabs for accessing different categories of settings.

This tab shows the MAX settings used to manage MAX files.

A MAX (MyAlbum eXtension) file is a DLL (Dynamic Link Library) used to expand the features of MyAlbum. Typically it's features that are not useful to all the users, so users can choose to install them or not.

Note: Actions taken on the MAX are applied immediately and are not undone by clicking the Cancel button.


Application setup - List view
Album Info - List view

This tab shows the List View settings used to define the columns and their content in the List view display.

Note: The List View tab can be found in the Application setup dialog box and the Album Info dialog box:
  • In the Application setup dialog box, it will be used to define the default settings for the List view that will be applied when you create a new album.
  • In Album Info dialog box, it will be used to define the List view settings for the current album only.

A List View window displays the current album in speadsheet like grid. You can customize the infomation displayed in the list by modifying the columns, adding new ones or removing unwanted ones.

  • The Defined columns list shows the currently defined colums. At least one column must be defined and the first one is always read-only.
  • Use one of the buttons on the right of the list to modify the columns:
    • Up/down arrows: moves the selected column up or down in the list.
    • Add: creates a new column and insert it after the current one.
    • Remove: deletes the current column.
    • Update: updates the current column with the updated parameters.
  • The bottom-half of the dialog box shows the parameters of the currently selected column:
    • Header: The string that will appear in the column's header.
    • Display string: The Display String that will be used for generating the text for the cell of this column.
    • Display string (write): The mutable Display String that will be used for taking into account a new value entered by the user in a cell. Leave this field empty for a read-only column or type a mutable Display String to have an editable column (the texts will then be displayed in blue). See the Macros defined in MyAlbum to have a list of the mutable Display String.
    • Data type: Specifies the content of the cells of this column. If the data are numbers or text, a different sorting method will be used.
    • Alignment: Specifies the alignment of the data in the cells for this column.

To display the current album as a list, select the command New List window in the Window menu or click the [image] button in the toolbar.


File Exit command

Exit command (File menu)

Use this command to end your MyAlbum session. You can also use the Close command on the application Control menu. MyAlbum prompts you to save albums with unsaved changes.

Shortcuts

Mouse: Double-click the application's Control menu button.

Keys: ALT+F4


Edit menu

Edit menu commands

The Edit menu offers the following commands:

Undo | Reverse previous editing operation.
Add files... | Add files to the current album
Add folder | Explore a folder and all its sub-folders and add all the picture files to the current album.
Delete | Remove the selected picture(s) from the album.
Delete file | Remove the selected picture(s) from the album AND delete their associated files.
Paste image | Paste the image from the Windows clipboard in the current album.
Update thumbnails | Refresh the thumbnails by reading the files that have been modified.
Remove orphans | Remove the thumbnails that point to file that no longer exist.
Reduce thumbnail color | Save disk space by reducing thumbnail color depth to 16 bits
Album information... | Display and edit information about the current album.
Drive & folder... | Alter the drive and folder for the thumbnails.


Add files command (Edit menu)

Use this command to add picture(s) to the current album by individually selecting the files to add.

The standard Explorer open window will be shown and you can select on or more files that will be add to the current album.

Shortcuts

Toolbar:

Keys: CTRL + A


Add folder command (Edit menu)

Use this command to add picture(s) to the current album by selecting the folder containing them.

The standard Explorer folder window will be shown and you can select the folder to inspect.

All the pictures in the selected folder and all the pictures in its sub folders will be added.

Note: You can interrupt the loading of the picture by pressing the Esc key until it stops.

Shortcuts

Toolbar:

Keys: CTRL + D

Tip

Pressing the Shift key when using this command will re-use the folder used during the last Add Folder command. This is useful for adding the new pictures while they are downloaded from a digital camera for instance.


Delete command (Edit menu)

Use this command to delete the selected thumbnails.

Please note that the picture files are not deleted, only the thumbnails are removed from the current album.

Shortcuts

Toolbar:

Keys: Del


Delete file command (Edit menu)

Use this command to both delete the selected thumbnails and their associated files.

Caution: This command will permanently erase the selected picture files from your computer.

When using this command, a warning will be displayed showing the amount of pictures to be destroyed. Click the Cancel to abort the operation or the OK button to proceed.

Whenever it is possible, the deleted files are placed in the Windows Recycle Bin where you can restore them. They will not be placed in the Recycle Bin if the files are located on a remote or SUBSTituted drive.

Shortcuts

Keys: Shift + Ctrl + Del


Paste image command (Edit menu)

Use this command to paste an image from the Windows clipboard and insert it in the current album.

A Save as dialog box is then displayed allowing the user to save the new image.

The new image can be stored as a Windows BMP file, a JPEG file, a PNG file, a TIFF file or a GIF file.

This command is useful for storing screen captures (Print Scr key).

Shortcuts

Keys: Ctrl + V


Update thumbnails command (Edit menu)

Use this command to refresh the thumbnails if the corresponding picture files have been modified.

Tip: Press the Ctrl key to force the update whether the files have been modified or not.


Remove orphans command (Edit menu)

Use this command to remove the thumbnails that point to files that no longer exist.


Reduce thumbnail color command (Edit menu)

Use this command to reduce the color depth of the thumbnails to 16 bits.

When adding pictures to an album, MyAlbum uses the current display setting to create the thumbnails. Thus, if you display adapter is configured in the True Color (32 bits) mode, the thumbnails will have a 32 bits color depth.

Color depths of more than 16 bits are generally unnecessary and don't improve the quality of the thumbnails.

You can reduce the overall size of the album and the memory used to load it by using this command that will convert the thumbnails to a 16 bit color depth.


Album Viewer settings

This dialog box is used to select the options regarding the Album Viewer.

The following options are available:

  • Auto start album: the self-running album will start the slideshow (automatic or manual depending on the value of the Auto-flip option) when the album is started,
  • Auto close album: the album will close automatically when the user leave the slideshow, the thumbnail view will not be displayed,
  • Play slideshow one time only: the slideshow will be only played once, after the last picture has been displayed, the slideshow will end,
  • Forbid picture copy: the commands Copy and Set as wallpaper will be disabled,
  • Use the navigation bar: when set, a small toolbar will be displayed during the slideshow. The bar has buttons to pause and restart the slideshow, quit the slideshow and move forward and backward in the album. The bar hides itself after 3 seconds and reappear when the mouse id moved.

These settings are normally intended for the MyAlbum Viewer and the self-running albums. By setting the last option, MyAlbum will also use the selected options (that can be useful for testing the album).


Changing the drive or directory of a picture

Drive and folder command (Edit menu)

This dialog box is used when pictures have been moved on your computer.

In this case, the thumbnail points to a file that no longer exists.

To restore this link, first select the faulty thumbnail, open this dialog box and type the new path in the To edit box.

Click on of the three following buttons:

  • Current: the change will apply only to the current picture,
  • Selected: the change will apply only to the selected picture(s),
  • Matching: the change will apply to all the pictures that are in the same directory.


View menu

View menu commands

The View menu offers the following commands:

View picture | Display the current picture full screen
Slideshow | Start the slideshow beginning with the current picture.
Slideshow selected | Start a slideshow of only the selected pictures.
Random slideshow | Start a random slideshow.
Automatic slideshow | Automatic slideshow will display to the next picture automatically after a specified time.
Multiple slideshow | Multiple slideshow will display many images on the screen.
Normal display | Display the pictures without taking into account the cropping rectangle.
Define cropping rectangle | Define the part of the picture to display (cropping rectangle)
Activate cropping mode | Activate the cropping mode : display the pictures using the defined cropping.
Toolbar | Shows or hides the toolbar.
Status Bar | Shows or hides the status bar.


Display a picture full screen

View picture command (View menu)

Use this command to display the current picture full screen.

Depending on the display mode selected in the Album information dialog box, the picture will appear stretched to fit the screen or zoomed or in its original size.

Press the Esc key to close the picture and go back to the album view (you can also press both left and right button of the mouse).

See also The full-screen view - Viewing the pictures for more information on how to use and customize the full-screen display of your picture.

Shortcuts

Toolbar:

Keys: Enter

Mouse: Double click on the thumbnail


Start a slideshow

Slideshow command (View menu)

Use this command to start a slideshow beginning with the current picture.

See also The full-screen view - Viewing the pictures for more information on how to use and customize the full-screen slideshow.

Shortcut

Toolbar:

Keys: Shift + S


Start a slideshow of the selected pictures.

Slideshow selected command (View menu)

Use this command to start a slideshow of only the pictures that are selected in the current album.

This command can useful for displaying the result of a Find command.

See also The full-screen view - Viewing the pictures for more information on how to use and customize the full-screen display of your picture.

Shortcut

Key: Shift + Ctrl + S


Start a random slideshow

Random slideshow command (View menu)

Use this command to start a slideshow showing the pictures in a random order.

It's like picking a card at random from a deck of cards, taking a look at it and putting it back in the deck before picking another card.

With this method a picture can be displayed more than once per cycle.

See also The full-screen view - Viewing the pictures for more information on how to use and customize the full-screen display of your picture.

Shortcut

Key: Shift + Alt + Ctrl + S


Start a "shuffle" slideshow

Shuffle slideshow command (View menu)

Use this command to start a slideshow showing the pictures in a random order but where each picture is displayed only once.

It's like picking a card at random from a deck of cards, taking a look at it, putting it aside then picking another card from the remaining deck. When the deck is empty the process starts again with the full deck.

That will ensure that each picture is displayed exactly once per cycle.

See also The full-screen view - Viewing the pictures for more information on how to use and customize the full-screen display of your picture.

Shortcut

Key: Alt + Ctrl + S


Set the slideshow to automatic mode

Automatic slideshow command (View menu)

When this command is checked, the slideshow will advance automatically to the next picture after the delay specified in the Album information dialog box.


Set the slideshow to multi mode

Multiple slideshow command (View menu)

When this command is checked, the slideshow is in multi display mode.

The multi display mode displays many images on the screen in a tiled or in a overlapping way.

The setting for the multi slideshow can be specified in the Application setup dialog box.


Display the pictures without taking into account the cropping rectangle

Normal display command (View menu)

When this command is checked, the defined cropping rectangles are ignored when displaying the pictures.


Definition of the part of the picture to display (cropping rectangle)

Define cropping rectangle command (View menu)

When this command is checked, the full-screen mode will be used for defining the part of the pictures to display.


Activation of the cropping mode : display the pictures using the defined cropping

Activate cropping mode command (View menu)

When this command is checked, the full-screen mode will use the defined cropping rectangles for displaying the pictures.

Pictures without cropping rectangle are displayed unchanged.


View Toolbar command

Toolbar command (View menu)

Use this command to display and hide the Toolbar, which includes buttons for some of the most common commands in MyAlbum, such as File Open. A check mark appears next to the menu item when the Toolbar is displayed.

See Toolbar for help on using the toolbar.


View Status Bar Command

Status Bar command (View menu)

Use this command to display and hide the Status Bar, which describes the action to be executed by the selected menu item or depressed toolbar button, and keyboard latch state. A check mark appears next to the menu item when the Status Bar is displayed.

See Status Bar for help on using the status bar.


Picture menu

Picture menu commands

The Picture menu offers the following commands:

Picture information... | Display information about the current picture.
Rename | Rename the picture (thumbnail and file).
Batch rename | Renames all the selected pictures in one operation.
Edit picture | Start editor on the current picture
Add selected keyword | Add the keyword selected in the find window to the current picture.
Print picture as a poster... | Print the selected picture as a poster using many sheets of paper.
Move pictures... | Move the selected pictures in another folder.
Hide | Hide the selected pictures.
Show | Make the selected pictures visible.
Toggle visibility state | Make hidden pictures visible and visible pictures hidden.
Display all | Display all the pictures (visible or hidden).
Put/Remove flag | Put or remove a flag (red X) on the selected pictures.
Sort | Open a sub menu for sorting the album
Rotate | Open a sub menu for rotating the selected picture(s) (JPEG only)


View and edit picture information

Picture Information command (Picture menu)

This dialog box displays information about the current picture.

The upper part of the dialog box show read-only information about the picture such as the corresponding file name, its size and date, the dimension of the picture.

Use the check box Hidden to hide the picture when the Display all menu option is not selected. The same thing can be accomplished with the Hide and Show command from the Picture menu.

Use the check box Flagged to mark the picture with a red X in the upper-right corner of the slide. You can also flag and un-flag a picture by clicking the slide in upper-right corner with the left button of the mouse.

The Comment field is for entering the comment attached to the picture. You can enter more than one line of comment.

The URL field is for entering a URL that can be launched during a slideshow by right-clicking near the bottom of the screen.

The Play field is for playing background music when the picture is displayed. You can drag'n drop a wav or midi file(s) to this field or construct the play command yourself.

The Keywords list enables you to select which of the defined keywords apply to the current picture. Please note that the keywords must be defined first in the Album information dialog box (Menu Edit | Album information).

The Custom fields list enables you to define the values for the custom fields. Please note that the custom fields must be defined first in the Custom fields dialog box (Menu Edit | Album information).

Tips:

  • You can resize this dialog box to better see the information.
  • Use the little arrow buttons located at the left of the Hidden check box to move to the previous or to the next picture in the album without having to close and reopen the dialog box.
  • As it is easier to describe a picture when you see it full screen, you can also open this dialog while viewing a picture.

Shortcuts

Keys: F7

Toolbar: Click the Info button of the Quick Info window.


View and edit information for the selected pictures

Selected pictures information command (Picture menu)

This dialog box displays information about all the selected pictures in the album.

It is very similar to the Picture Information dialog box but the changes will be applied to all the selected pictures in one operation. To show how many pictures will be modified, the number of selected picture is displayed in the caption of the dialog box.

The Hidden and Flagged properties can be set on or off for all the selected picture by clicking the corresponding checkbox. Note that the initial state of these checkboxes depends on the state of the pictures in the selected set:

  • checkbox is unchecked: all the selected pictures are visible (or not flagged),
  • checkbox is checked: all the selected pictures are hidden (or flagged),
  • checkbox is grayed: some of the selected pictures are visible, other are hidden (or flagged / not flagged).
For the other fields (Comment, URL, Play and the Custom fields) an checkbox appears at the left of the field. Set the checkbox on to edit the field, the new value will be applied to all the selected pictures in the album. Only the fields that have the checkbox checked will be modified in the selected pictures.

The Keywords list works in the same way as in the Picture Information dialog box but the keyword selection will be applied to all the selected pictures in the album.
To indicate which keyword is attached to the pictures, a small icon is displayed on the left of the keyword name:

  • green check mark: all the selected pictures have the corresponding keyword,
  • no check mark: none the selected pictures have the corresponding keyword,
  • warning sign: only some of the selected pictures have the corresponding keyword.
Click the keyword to cycle through the different states (the "warning" will not change the keyword state for the pictures).

Shortcuts

Keys: Ctrl + F7


Renaming a picture

Rename picture command (Picture menu)

Use this command to rename the picture (both the name of the thumbnail in the album and the corresponding disk file).

A small edit field will appear at the location of the thumbnail name.

Edit the name to the desired value and press the Enter key.

Pressing the Esc key aborts the operation and leaves the name unchanged.

Shortcuts

Keys: F2

Mouse: Click on the thumbnail name


Rename a set of pictures

Batch rename (Picture menu)

This dialog box is used to rename the set of selected pictures in one operation.

The rename operation can be performed either in standard mode or in advanced mode.

In standard mode, the new name for the pictures is composed of a base name and a number:

<base name><counter>.<extension of the file>

In advanced mode, a Display String is used to build the new names of the pictures.
Use the special macro %KP for inserting the current value of the counter.

The batch rename operation is applied to the selected pictures.

To rename a set of pictures:

  • Select the pictures you want to rename and open the Batch rename dialog box,
  • Select the mode standard or advanced,
  • Type the base name (or build the Display String in advanced mode),
  • Select the starting value for the counter and the minimum number of digit for the number,
  • Click the OK button.

Examples:

Standard mode

The file 01070004.jpg renamed with the base name Picture- and a 3 digits number will be Picture-001.jpg.

Advanced mode

Use a base name, the counter and an appended text:
MyPics-%KP_New.%FE

Prefix the names (note that the counter is not used):
YourPics-%BF.%FE

Set the file extension to lowercase:
%BF.%Fe

Prefix the names with a Custom Field (photographer or location for instance)
%C1-%BF.%FE

Note

For a picture to be renamed successfully, the new name of the picture mustn't already exist in the same folder.
MyAlbum will beep if a picture cannot be renamed.

Example:
Pic-01.jpg | ---> | OK, renamed to Pic-01.jpg (same name)
Pic-01b.jpg | ---> | Failed, file Pic-02.jpg already exists! Name not changed.
Pic-02.jpg | ---> | OK, renamed to Pic-03.jpg

In this case, you may want to use a two-step batch rename using a temporary name for the intermediate step:

 | Step 1 |  | Step 2 |
Pic-01.jpg | ---> | OK, renamed to tmp-01.jpg | ---> | OK, renamed to Pic-01.jpg
Pic-01b.jpg | ---> | OK, renamed to tmp-02.jpg | ---> | OK, renamed to Pic-02.jpg
Pic-02.jpg | ---> | OK, renamed to tmp-03.jpg | ---> | OK, renamed to Pic-03.jpg


Editing a picture with an external application

Edit picture command (Picture menu)

Use this command to open the current picture in an external application for editing it.

The external application should be defined first in the Editor field of the Application setup dialog box.

Shortcuts

Keys: Ctrl + Enter

Tip

Pressing Shift + Ctrl + Enter will start the application associated with the current picture file (just like double-clicking the file in the Windows Explorer). This can be usefull for playing a video with the default video player instead of playing it inside MyAlbum for instance.


Adding the selected keyword to a picture

Add selected keyword command (Picture menu)

Use this command to add to the selected keywords to the selected picture(s).

The selected keywords are those chosen in the Find dialog box.

To use this command:

  • Open the Find dialog box,
  • Choose the Keyword search type and select keywords,
  • Click the OK button,
  • Select the picture(s) to add the keywords to,
  • Select the menu command Picture | Add selected keyword or press the F8 function key.

This command can be useful to add keywords to a picture you select one at a time.

Shortcuts

Keys: F8


Printing a poster from a picture

Print picture as poster command (Picture menu)

This dialog box is used for printing a poster from a picture. A poster is composed of more than one sheet of paper.

Most printers are not able to print on the border of the paper, you will have to cut the white margins and use glue or tape to assemble your poster !

With a little care and patience the result can be great but take notice that it will wear out your ink cartridge pretty fast !

In addition to the traditional outer margins (left, top, right & bottom) you can specify the size of the inner margins, that are the parts you will have to cut to assemble the poster.

The horizontal slider determines how many full pages will be used in a row. The number of row will depend on the size of the picture and its orientation.

The orientation of the pages is set in the Print setup dialog box.

Use the Preview button to check everything is ok before printing.

Shortcuts

Keys: Shift + Ctrl + P


Moving the pictures in another folder

Move pictures command (Picture menu)

Use this command to move the files of the selected pictures in another folder on your computer.

If one file cannot be moved, the process is stopped and the remaining pictures remain in their original folder.


Hiding the selected pictures

Hide command (Picture menu)

    Use this command to hide the selected pictures.

    The pictures are really hidden if the menu option Picture | Display all is not checked.


Showing again hidden pictures

Show command (Picture menu)

    Use this command to show the selected pictures.

    This command can only be used when the menu option Picture | Display all is checked (hidden pictures cannot be selected!).


Toggling the visibility state of all the pictures

Toggle visibility state command (Picture menu)

    Use this command to make all the hidden pictures visible and the visible ones hidden.

    The pictures are really hidden if the menu option Picture | Display all is not checked.

    Shortcuts

    Keys: F5


Displaying all the pictures

Display all command (Picture menu)

Use this menu option to select the display mode:

  • when unchecked, pictures declared as Hidden are not displayed,
  • when checked, all the picture are displayed even the hidden ones.


Putting or removing a flag on pictures

Put/Remove flag command (Picture menu)

    Use this command to put a flag on the selected pictures.

    A flag is a little red X that will appear on the upper-right corner of the thumbnail.

    If the pictures are already flagged the flags will be removed.

    Shortcuts

    Mouse: Click the upper-right corner of the slide


Sorting the pictures

Sort sub-menu (Picture menu)

This sub-menu enables you to sort the album in different ways:

  • using the filename of the picture,
  • using the full pathname of the picture,
  • using the date the picture was saved,
  • using the size of the picture (width x height),
  • using the number of colors (duration) of the picture (video),
  • using the comment of the picture,
  • using the first keyword of the picture.

The sort operation can be in an ascending or descending order.


Rotating the pictures

Rotate sub-menu (Picture menu)

This sub-menu enables you to rotate the selected pictures.

Only JPEG pictures can be processed but the rotation is loss less (no quality loss) and all embedded information are preserved (comments, EXIF,...).

Caution: Due to how JPEG pictures are encoded, pictures having sizes that are not a multiple of 8 will be slightly reduced (a thin border will be removed so the dimension is a multiple of 8).

You can rotate the selected pictures:

  • 90° to the left,
  • 90° to the right,
  • or 180°.

The original picture is not lost, it will be renamed with an _O appended to the name:
Picture_48.jpg ---> Picture_48_O.jpg


Find Menu

Find menu commands

The Find menu offers the following commands:
Find... | Find the specified text or keyword in the album.
Find next | Repeat last find.
Find similar pictures | Find pictures that are almost identical to the current picture.
Inverse selection | Inverse the selected state of the pictures.
Select all | Select all the pictures.
Select flagged pictures | Select all the pictures that have a flag.


Find the specified text or keyword

Find command (Find menu)

This dialog box is for searching the album for pictures.

The search can be performed using one of the following technique:

  • the filename of the picture (excluding the folder name).
  • the comment of the picture.
  • the keywords associated to the picture. More than one keyword can be selected and the search can look for pictures having:
    • All the selected keyword(s): select the And option
    • All the selected keyword(s) and no other: select the And option and the Only option
    • at least one of the selected keyword(s): select the Or option
  • the custom fields: select one of the listed custom field and type the value to look for. Note that only the selected custom field will be used for the search.
  • animated/multipage pictures: search for animated GIF, multi-page TIFF and videos.
  • advanced search. For this type of search a VBScript expression will be used: the expression will be applied to the picture and if the expression is evaluated as True the picture will be selected.
    The expression can use two predefined variables: alb will represent the current album and pic the picture being inspected.
    Examples:
    pic.h > pic.w | look for portrait pictures (taller than wide)
    (pic.w * pic.h) > 2000000 | pictures with more than 2 mega-pixels
    pic.dwFileSize > 100*1024 | pictures bigger that 100 KB
    Instr( LCase(pic.sPlayCmd), ".mp3" ) > 0 | pictures that will play a MP3 file when displayed
    pic.HasKeyword("kw1") and not pic.HasKeyword("kw2") | pictures that have the kw1 keyword but not the kw2 keyword
    pic.GetCustomFieldDate("Date") >= app.DateToTimeValue(Now-7) | pictures taken this week (last 7 days)
    Weekday( app.TimeValueToDate( pic.GetCustomFieldDate("Date"))) = vbSunday | pictures taken on a Sunday
    rnd < 0.3 | randomly select about 30% of the pictures in the album
    See also the Album object and the Picture object pages in the Scriptable Objects section of the Technical Reference and the How to... page on Writing scripts.

There are three modes for displaying the results:

  • Select the only the first matching picture (the Find next command will select the next matching picture).
  • Select all the matching pictures (you can move through the set of selected pictures with Ctrl + left or right arrow keys). The number of matching pictures is displayed on the status bar.
  • Open a new window showing only the matching pictures.

Shortcuts

Toolbar:

Keys: Ctrl + F


Repeat the last find

Find next command (Find menu)

This command repeats the last find initiated with the Find command.

Shortcuts

Toolbar:

Keys: F3


Find pictures that look like the selected picture

Find similar pictures command (Find menu)

With this dialog box you can search for pictures that are nearly identical to the current picture. This function can find duplicate pictures even if they differ in size, file format or color depth.

The top part of the dialog box displays the thumbnail image of the current picture on the left and a transformed picture called the pattern.

The two sliders at the bottom are used to adjust the parameters of the algorithm.

  • The Threshold slider adjusts the level of similarity at the pixel level. Two pixels are identical if their difference does not exceed this value.
  • The Max difference slider indicates how much pixels can be different for the two pictures.

The algorithm is simple (and quite stupid):

  • First step, a gray scale reduced version of the image of the thumbnail is created. This image is the reference pattern for the next operations.
  • Then, in turn, each picture in the album is processed; a pattern is generated and compared to the reference pattern. First, if the two differ in size, the picture is rejected.
  • If they match in size, the two patterns are compared pixel by pixel.
  • If the difference between the two pixels color (in fact the luminance as it is a gray scale image) is over the Threshold, the pixel is counted as bad. If we found more bad pixels than the Max difference value, the picture is rejected.
  • If the image pass the test, it is selected in the album.

Click the Find button to start the search operation.

    Tip : The generation of the patterns can take a few seconds if using a big album. You can keep this dialog box open to display the matching pictures. You can also start a search using another picture as reference by selecting it and repeating the same menu command or shortcut.

    Shortcuts

    Keys: Shift + Ctrl + F


Inverse the selection state of the pictures

Inverse selection command (Find menu)

This command inverses the current selection: the selected pictures become unselected and the non selected pictures become selected (useful for inverting a search result).


Select all the pictures

Select all command (Find menu)

This command selects all the displayed pictures in the current album.

Shortcuts

Keys: Ctrl + T


Select all the flagged pictures

Select flagged pictures command (Find menu)

This command selects all the pictures in the current album that have the flag (small red X ) set.


Tools Menu

Tools menu commands

The Tools menu offers the following commands:

Export album | Export the current album as text list, HTML page or contact sheet.
Picture convert & resize... | Convert and/or resize pictures.
Publish on the Web... | Publish the album on the Web.
Build a self-running album... | Build an all-in-one application containing the album viewer, the album and the pictures.
Share pictures... | Start sharing the pictures of the album on the Net in a NetMeeting© conference.
Install screen saver... | Install the MyAlbum screen saver as the default Windows screen saver.
Setup screen saver... | Setup the MyAlbum screen saver.
Test screen saver | Test the MyAlbum screen saver with the current album.
Run script... | Open the editor to edit and run scripts (VBScript, JScript or other compatible script languages).
Customize... | Add custom command to the Tools menu.
User defined command | Commands created with the Customize command.


Export album

Export album command (Tools menu)

This dialog box is used to export the album in various formats:

  • Text list,
  • Export the thumbnails images as individual files,
  • HTML pages (simple list, simple picture list, contact sheet style, film strip)
  • Contact sheet bitmap.

The bottom part of the dialog box (Common parameters) is used for specifying various parameters that are shared by the four export formats. The ones not relevant to the currently selected format are grayed out.

The most important parameters are:

  • Output folder: this is the base folder where MyAlbum will create the exports. If the folder doesn't exist, MyAlbum will create it for you but take note that existing files in this folder may be overwritten during the export process.
  • Export pictures: use this option to specify which pictures should be exported: all of them, only the visible ones or only the selected ones.

Click the More HTML & contact sheet settings button to open another window containing other settings for HTML pages and the contact sheets.

Shortcuts

Keys: Alt + F12


Export album: Text list

With this option, MyAlbum builds a text file containing information about the album and its pictures.

You have the choice between four sub-formats:

  • Bare: build a simple list of only the file names of the pictures.
  • Standard: build a standard list: album information and for each picture, its name and comment.
  • Verbose: build a detailed list: album information and for each picture, its name, comment, keywords and custom fields.
  • CSV format: build a CSV file (comma separated values, compatible with spreadsheet and database applications) containing the following columns: name, width, height, color depth, comment and the custom fields.


Export album: Save thumbnails

With this option, MyAlbum saves the thumbnails of the album, each thumbnail in a different file.

    Note: You should first save the thumbnails before exporting the album in HTML format and keep the same output folder for the two operations.

    The useful parameters used for this format are:

    • Output folder: the base folder where the thumbnail files will be written.
    • Sub-folder level: number of folder levels to keep in the output folder.
    • Save pictures as: choose the format for the output files.
    • Append to thumbnail name: the string will be appended to the thumbnail filenames to help the user distinguish the saved thumbnail from the original pictures.


Export album: HTML pages

With this option, MyAlbum builds HTML pages from your album.

    You have the choice between four sub-formats:

    • One page list: build a simple list of the pictures containing the filename and the comment of each picture.
    • Image list page: build a simple page containing the pictures themselves and their comment.
    • Multiple pages with thumbnails: build one or more page(s) looking like contact sheets.
    • Two frame page: build a HTML pages containing two frames; a narrow one on the left shows the thumbnails vertically like a film strip and a larger one used for displaying the pictures themselves.

    Please note that for the last two sub-formats, you have to first save the thumbnails and keep the same output folder.

    When more than one page is generated, Next and Previous buttons are added to the pages to go from one to the others.

    The useful parameters used for this format are:

    • Output folder: the base folder where the HTML files will be written.
    • Page size and Spacing for the multiple page sub-format.
    • Append to thumbnail name: the value should be the same as the one used when saving the thumbnails.
    • Background color and Text color: click these buttons to choose the colors that will be used in the HTML pages.

    More parameters (title, comment,...) can be set in the HTML & Contact sheet setting dialog box, just click the More HTML... button.


Export album: Contact sheet

With this option, MyAlbum builds contact sheets.

A contact sheet is a graphic file showing the thumbnails and information about the picture.

The useful parameters used for this format are:

  • Output folder: the base folder where the files will be written.
  • Page size and Spacing.
  • Base file name: the string will be placed before the contact sheet filename.
  • Sheet size: size in pixels of the contact sheet picture.
  • Use thumbnail pictures: when checked, MyAlbum pastes directly the thumbnail on the contact sheet; when unchecked, MyAlbum loads in turn each picture and paste them on the contact sheet. The first method is quicker while the second produce better results...
  • Background color and Text color: click these buttons to choose the colors that will be used in the contact sheets.
  • Build HTML map: when checked, MyAlbum will also generate a HTML client-side map.

More parameters can be set in the HTML & Contact sheet setting dialog box, just click the More HTML... button.


HTML & Contact sheet settings

HTML & contact sheet settings box

This dialog box is for choosing the various settings pertaining to HTML pages and contact sheets building.

  • Bullet file
    The bullet is the little red dot [image] that is used to make lists more visually attractive. It is only used for HTML export. You can either use the default image or use your own: click the Select button and choose a JPEG, a GIF or a PNG file.
  • Background image
    An image can be used to tile the background of HTML pages or contact sheets. If no background image is defined then the background color specified in the Export album dialog box will be used to paint the background.
    For the Two frame page (film) HTML template you can also specify a different background (the default background looks like a strip of a 35mm film [image]).
    Click the Select button and choose a JPEG, a GIF or a PNG file.
  • Display
    In this group you can select the information that will appear in the generated HTML pages or contact sheets.
    You can enable or disable an item by checking/unchecking the corresponding check box and select the information to display by clicking the corresponding Select button to build a Display String.
    You can edit the following information:
    • Page title. By default it's the album title (Display String = %AN).
      HTML pages will display it as a <H1> tag, contact sheet will use the Title font selected in the Export album dialog box.
    • Page sub-title. By default it's the album comment (Display String = %AC).
      HTML pages will display it as a <H2> tag, contact sheet will use the Title font, but half size, selected in the Export album dialog box.
    • Picture filename: each picture will be listed using this display string. By default it's the picture filename (Display String = %FN).
    • Picture info: information about each picture will appear near the picture filename. By default it's the picture comment (Display String = %FC).
    • Picture tooltip: informational text that shows up when the mouse is placed over a thumnail in the generated HTML pages. By default it's the first line of the picture comment (Display String = %1C).
    • Page footer: text that will appear at the bottom of the HTML pages. Default text is "Built with MyAlbum".
  • Limit HTML strip
    For the Two frame page (film) HTML template you can limit the length of the film strip showing the thumbnails so the page will take less time to load. If there are more thumbnails than the specified limit, more than one pages will be generated linked together with Next and Previous buttons.
  • Scale pictures
    Scale factor (%) used in the Image list page HTML template.
  • File encoding
    Only available with the Unicode version of MyAlbum. Select in the drop-down list the character encoding to be used for the generated HTML files:
    • Neutral (default for the non-Unicode version): no encoding is performed on the generated data so it will be Unicode for the Unicode version and ASCII for non-Unicode version.
    • ASCII ISO-8859-1 (Latin1). Standardized multilingual single-byte coded (8bit). It covers most West European languages, such as French, Spanish, Catalan, Basque, Portuguese, Italian, Albanian, Rhaeto-Romanic, Dutch, German, Danish, Swedish, Norwegian, Finnish, Faroese, Icelandic, Irish, Scottish, and English, incidentally also Afrikaans and Swahili, thus in effect also the entire American continent, Australia and much of Africa.
    • Unicode (ISO 10646). Characters are coded using 16 bits (big-endian). Not many web browser are able to display Unicode web pages.
    • UTF-8 (default for the Unicode version of MyAlbum). It's now the recommended encoding scheme for HTML and XML files. Characters are encoded using 1 to 6 bytes and is directly compatible with 7-bit ASCII.
    • UTF-8 ASCII encoded. Characters above 0x7f are encodded using the HTML convention as &#dd; sequences thus producing pure 7-bit files.
    • UTF-7. Characters are encoded using UTF-7.
  • Use client-side javascript script
    For the Two frame page (film) HTML template you can instruct MyAlbum to include some client-side javascript code. The role of this code is to display, in the right frame, the picture comment along with the full-sized picture when you click a thumbnail where the page without the script will only display the picture.
    See the online demo that is using this option.
    Tip: You can use your own script by defining the following string value in the registry: HKEY_CURRENT_USER\Software\DigitalMATRIX\MyAlbum\Settings\HTMLScriptFile and setting its value to the full path of the script file.
  • Display the page with the current Web browser
    Check this option so MyAlbum will start the current web browser on the newly generated web page so you can instantly take a look at them.


Converting pictures

Convert and resize pictures command (Tools menu)

This dialog box is used for converting pictures. You can resize the pictures and/or save them in a different format.

The operation can be applied to all the pictures, the visible ones or only the ones that are selected. You can select the pictures manually or use the result of a Find command.

In the Convert to list box select the type of the converted picture.

For resizing, choose on of the predefined size or type in a custom size below the Custom option button.

In both cases, the specified size is the one of the enclosing rectangle, the picture keeping its original aspect ratio.

Choose No resize if you only want to convert the pictures.

In the Target folder field type the name of the folder where the converted pictures will be written in.

Optionally, you can apply a stamp on the converted pictures. This stamp can be a text or a bitmap.

Click the Start button to begin the conversion, messages will be displayed at the bottom of the dialog box.

Shortcuts

Keys: Alt + F11


Publish your album on the Web

Publish on the Web command (Tools menu)

This dialog box is used for publishing an album on the Web.

To use this command, the Web Publishing Wizard must be installed on your computer.

For your album to be accessible on the Web you have to copy it on a Web server: copy of the pictures and of the HTML files generated by the Export Album command.

You can select one of the following options:

  • Pictures: will copy only the pictures of the album,
  • HTML files and pictures: will copy the pictures and all the files located in the export folder. For this option you can choose to include only the files of this folder or all the files found in the folder and its sub folders.

The files that will be published are displayed in the list at the bottom of the dialog box.

The content of the list is determined by the selection of one of the following options:

  • All: all the pictures of the album will be processed,
  • Only visible : only the pictures displayed in the current view will be processed,
  • Only selected : only the selected pictures will be processed.

In addition the following files are also listed:

  • the sound and script files listed in the Play Commands of the listed pictures,
  • the graphic files referenced by the HTML pages of the album (<img src=... HTML tag).

You can also add and/or remove files by using the Add and Remove buttons.

Click the Start button to start the publishing. The wizard will start and will guide you during the stages of the process.


Build a self-running album

Build a self-running album command (Tools menu)

This dialog box is used for building a self-running album: it is an “all-in-one” executable containing the album viewer, the album and the pictures.

The files that will be included in the executable are displayed in the list at the bottom of the dialog box.

The content of the list is determined by the selection of one of the following options:

  • All: all the pictures of the album will be processed,
  • Only visible : only the pictures displayed in the current view will be processed,
  • Only selected : only the selected pictures will be processed.

In addition the following files are also listed:

  • the sound and script files listed in the Play Commands of the listed pictures,
  • the graphic files referenced by the HTML pages of the album (<img src=... HTML tag).

You can also add and/or remove files by using the Add and Remove buttons.

Click the Start button to the building of the self-running album.

The file will be created in the same folder as the album (the .alb file) and with the same name (but with the .exe extension).

To help you build your self-running album, follow the following steps:

  • if you do not want to include all your pictures in your self-running album, it's then easier to duplicate your album (save it under a new name) and use the copy: remove the unwanted pictures from this album.
  • set all the desired options for the album: auto-flip, delay between pictures, colors,...
  • set the viewer options in the Album Viewer settings tab of the Album Information dialog box.
  • save the album.
  • open the Build a self-running album dialog box and check that all the needed pictures and files are listed.
  • click the Start button.

Notes:

  • To build a self-running album, MyAlbum needs to have access to the Viewer application, the file named MyAlbumViewer.exe must be in the folder where MyAlbum is installed.
  • If you are using a localized version of MyAlbum, you will also need the language file (MyAlbum.dll) along with the generated album.


Sharing pictures in a NetMeeting conference

Share pictures (Tools menu)

This dialog box is used for sharing pictures with other people connected with a NetMeeting© conference.


Installing the MyAlbum screen saver

Install screen saver (Tools menu)

Use this command to install the MyAlbum screen saver as the default screen saver for Windows.

See How to... Use the screen saver page for more information on how to use the MyAlbum Screen Saver.


Setting up the MyAlbum screen saver

Setup screen saver (Tools menu)

Use this command to setup the MyAlbum screen saver.

See How to... Use the screen saver page for more information on how to use the MyAlbum Screen Saver.


Testing the MyAlbum screen saver

Test screen saver (Tools menu)

Use this command to test the MyAlbum screen saver.

The current album will be used for the screen saver, if the album is not usable (a new album not already saved for instance), the last setting will be used.

Note: If when testing the screen saver you see the MyAlbum logo moving across the screen, it means that no suitable album has been found (album empty, album file moved, renamed or deleted) or that the keyword filtering has not selected any pictures.

See How to... Use the screen saver page for more information on how to use the MyAlbum Screen Saver.


Edit and run scripts

Run script command (Tools menu)

This dialog box is used to edit and run scripts.

The script can be written in VBScript, Jscript or any language compatible with the ActiveX Scripting.

Important notice: This functionality will work only if ActiveX Scripting is installed and enabled on your computer. This should be the case if you have Microsoft Internet Explorer 4.0 installed or are running Microsoft Windows 98.

Select the language you want to use, type your script in the large edit field and click the Run button.

Compilation and run-time error are displayed in the trace window at the bottom of the dialog box and the line where the error is located is selected.

Tips:

  • See the Scriptable Objects chapter for the description of the objects, properties and methods that can be used in a script.
  • Take a look at the How to… page on the subject.
  • You can use the App.Trace function to display a line in the trace window. The text of the trace window can be saved into a text file (named ScriptTrace.log) by clicking the Save trace button. Pressing the Ctrl while clicking the Save trace button will copy the text to the Windows clipboard.
  • For a description of the script language, please refer to the Microsoft Web site (http://msdn.microsoft.com/scripting/VBScript).
  • On the same site, you will find a script debugger that can be useful for tracking errors in yours programs.
  • The MyAlbum web site contains a large selection of scripts that are ready to use or can be modified to suit your needs.
  • You are not limited to VBScript or JScript languages, in fact you can use any script language compatible with the ActiveX Scripting like Perl, Python, Ruby, Haskell... See Installing a script language for more details.

Here is a simple JScript script that displays the version of the running MyAlbum application.

// JScript script
App.ClearTrace();
var s = "MyAlbum version: ";
App.Trace( s.concat( App.Version ) );

Shortcuts

Keys: Sh+Ctrl+F10

Enhanced editor

MyAlbum uses a enhanced script editor when in interactive mode. This editor offers the following features:
  • Syntax coloring (for VBScript and Javascript/jscript scripts),
  • Bookmarks,
  • Find command,
  • Multiple undo and redo,
  • Overwrite mode.

Note: The enhanced editor is not available in the MyAlbum Viewer.

Using the enhanced editor.
  1. Bookmarks
    Both standard and numbered bookmarks are available. They appear as blue circles in the left margin of the editor, numbered bookmarks having the corresponding number inside the circle.
    To put a standard bookmark on the current line press Ctrl+F2. To remove the bookmark, just press Ctrl+F2 again.
    To move to the next bookmark, press F2, to move to the previous bookmark press Shift+F2. To remove all the standard bookmarks, press Shift+Ctrl+F2.
    To put or remove a numbered bookmark on the current line press Ctrl and the 0 through 9 keys on the top of the keyboard. To go the a numbered bookmark, press Alt+0-9.
  2. Find command
    Pressing Ctrl+F will display the Find dialog box.
    F3 will repeat the last find.
    Shift+F3 will repeat the last find but toward the beginning of the script.
  3. Undo / Redo
    Press Ctrl+Z to undo the last editing action.
    Press Ctrl+Y to redo the last undone editing action.
  4. Overstrike mode
    Press the Ins key to toggle between the insert and overwrite mode.
  5. Usefull shortcuts
    While editing your script you can press:
    - Ctrl+S to save the script.
    - F5 to run the script.


Customize the Tools menu

Customize command (Tools menu)

This dialog box is used to add new user-defined commands to the Tools menu.

The new commands will show at the bottom of the Tool menu.

A new command is defined by:

  • A caption. This is the text that will appear in the menu (you can place a '&' character in the caption to create a menu shortcut).
  • A script. This is the action that will be performed when the menu item will be chosen. It can be a script file or, for small scripts, the code of the script itself.
  • Optionally a keyboard shortcut. It can be useful to associate a keyboard shortcut to often used script.

To define a new custom tool command:

  • Type the caption of the new tool,
  • Select the type: file or direct script commands (VBScript or JScript),
  • For a file select the script file to be used, for a direct script, type the code in the edit box or paste it from another editor.
  • Select the shortcut: place the cursor in the field by clicking in it with mouse and press the key combination you want. Use shortcuts that are not already used in MyAlbum or in Windows.
  • Click the Add button.


Window menu

Window menu commands

The Window menu offers the following commands, which enable you to arrange multiple views of multiple documents in the application window:

New Window | Creates a new window that views the same document.
New List Window | Creates a new list window that views the same document.
Cascade | Arranges windows in an overlapped fashion.
Tile | Arranges windows in non-overlapped tiles.
Arrange Icons | Arranges icons of closed windows.
Window 1, 2, ... | Goes to specified window.


New Window command (Window menu)

Use this command to open a new window with the same contents as the active window. You can open multiple document windows to display different parts or views of a document at the same time. If you change the contents in one window, all other windows containing the same document reflect those changes. When you open a new window, it becomes the active window and is displayed on top of all other open windows.


New List window command

New List window command (Window menu)

Use this command to open a new List View window for the current album.

A list window displays the current album in a text-only fashion.

You can select the columns of this display and their content in the Album Info dialog box.


Cascade command (Window menu)

Use this command to arrange multiple opened windows in an overlapped fashion.


Tile command (Window menu)

Use this command to arrange multiple opened windows in a non-overlapped fashion.


Window Arrange Icons Command (Window menu)

Use this command to arrange the icons for minimized windows at the bottom of the main window. If there is an open document window at the bottom of the main window, then some or all of the icons may not be visible because they will be underneath this document window.


1, 2, ... command (Window menu)

MyAlbum displays a list of currently open album windows at the bottom of the Window menu. A check mark appears in front of the album name of the active window. Choose a album from this list to make its window active.


Help menu

Help menu commands

The Help menu offers the following commands, which provide you assistance with this application:

Help Topics | Offers you an index to topics on which you can get help.
About | Displays information on the application: version number, copyright. Also used to check for a newer version of MyAlbum and contact the technical support by email.


Index command (Help menu)

Use this command to display the opening screen of Help. From the opening screen, you can jump to step-by-step instructions for using MyAlbum and various types of reference information.

Once you open Help, you can click the Contents button whenever you want to return to the opening screen.


About command

About command (Help menu)

Use this command to display the copyright notice and version number of your copy of MyAlbum.

If your computer is connected to the internet, you can also use this dialog box to:

  • check if a new version of MyAlbum is available and download it,
  • send a mail to the MyAlbum support if you have a question or require assistance,
  • make an on-line donation to help the development of new versions of MyAlbum.

Shortcuts

Toolbar: About

Tips

While clicking the Check for new version button:

  • Press the Ctrl key to download the latest version even if it is already installed on the computer.
  • Press the Shift key to check for a new beta version of MyAlbum.
    Beta versions are updates released before an new official release. They contains new features, improvements and/or corrections but they are still under tests and may not be as stable as the standard version, so use them at your own risk!
    Always read carefully the included ReadMe.txt file.
    Note also that new versions of MyAlbum may use a new album format that older versions of MyAlbum are not able to read.


Toolbar

The toolbar is displayed across the top of the application window, below the menu bar. The toolbar provides quick mouse access to many tools used in MyAlbum.

To hide or display the Toolbar, choose Toolbar from the View menu (ALT, V, T).

Click | To
 | Open a new album.
 | Open an existing album. MyAlbum displays the Open dialog box, in which you can locate and open the desired file.
 | Save the active album with its current name. If you have not named the album, MyAlbum displays the Save As dialog box.
 | Print the active album.
 | Add pictures to the current album.
 | Add all the pictures located in a folder to the current album.
 | Remove the selected pictures from the album.
 | Find the specified text or keyword in the album.
 | Repeat or continue the last find.
 | Toggle between the thumbnail view and the list view.
 | Display the current picture full screen.
 | Start a slideshow (starting at the current picture).
 | Quit the slideshow.
 | Displays the version number of this application.
 | Context help.


Picture Quick Info

The Picture Quick Info window

The Quick Info window displays an Info button and a line of information text:

  • Clicking the Info button will open the Picture Information window where comment, keywords and various other picture related information can be viewed and edited.
  • The text displays the following information:
    <picture number> of <number of visible pictures> - <picture size> - <number of selected pictures> selected

Notes:

  • The content of the string can be customized for each album: open the Album Information window, go to the tab named Color and Appearance and click the for the picture info button.
    The Build display string window will open, there you can select the information you want to be displayed.
    (The default Display String is %P# of %V# - %PS - %AS selected)
  • The Quick Info window can be "torn-off" from the toolbar, that is, detached by dragging it out with the mouse.
    In its floating state, the Quick Info window can be resized so more than one line of text can be displayed.


Status Bar

The status bar is displayed at the bottom of the MyAlbum window. To display or hide the status bar, use the Status Bar command in the View menu.

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you depress them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.

The right areas of the status bar indicate which of the following keys are latched down:

Indicator | Description
CAP | The Caps Lock key is latched down.
NUM | The Num Lock key is latched down.
SCRL | The Scroll Lock key is latched down.


How to... ?

A list of common tasks and useful information on how to handle them with MyAlbum.

  • Create a new album

    First step to build your first album with MyAlbum.

  • Add pictures to an album

    Build your album by adding pictures to it, one by one or by scanning folders.

  • Display pictures and start a slideshow

    Learn how to use MyAlbum to display your pictures.

  • Customize the display of the pictures

    Change the standard settings to better suit your needs and taste.

  • Add sound to a slideshow

    Make a slideshow more lively with background music or spoken commentary.

  • Use the Screen Saver

    Display your photos when you're not using your computer.

  • Print an album, some pictures or a poster

    Learn how you can print pictures with MyAlbum from contact sheet size to huge poster.

  • Export the album and build HTML pages

    Build contact sheet and web pages easily with MyAlbum.

  • Build a CD-Rom album

    MyAlbum helps you build CD-Rom slideshows that you can distribute to family or friends.

  • Write and use scripts

    MyAlbum has an integrated script tool. Learn how to write scripts that automate common tasks or add new features to MyAlbum.

  • Use information stored by digital cameras (EXIF)

    You have a digital still camera ? With MyAlbum it's easy to access information stored by the camera (Date, F number,...)


How to... Create a new album

Advanced users will simply press the [image] icon on the toolbar to create a new album...

First time users will follow the New album wizard by choosing the File | New album wizard menu command and remembering the following points:

  • an album is a collection of pictures that you can use to display as a slideshow,

  • the pictures of an album can be in any order,

  • each picture can receive a description and a list of keywords,

  • a given picture can appear only once in an album.

Important notice:
Please note that an album doesn't contain the pictures themselves but only links to the files that contain those pictures.
So, if you move or delete some pictures you may not be able to see them in MyAlbum.


How to add pictures to an album

How to... Add picture to an album

It's very easy to add pictures to your album. You can do it:

  • by adding individual picture with the Edit | Add files command.
  • by scanning a folder and its sub-folders and adding all the found pictures with the Edit | Add folder command.
  • By dragging and dropping files or folders from the Windows Explorer.

As the pictures are added to your album, you will see the little thumbnails appear in the main window of MyAlbum.

You can interrupt the loading by keeping the Esc key pressed until it stops.

After you've added the pictures, first save your album then a good thing to do is to describe the pictures. Open the Picture information dialog box (menu command Picture | Picture information or F7 function key) you can assign a comment describing the picture and attach one or more keywords for locating more easily a picture in a large album.

Or you can directly start a slideshow !

Using HTML files

If Microsoft Internet Explorer 4 (or later) is installed on your computer, you can add HTML files in an album. It enables you to add formatted text pages anywhere in your albums.

HTML files must be added to the album using the drag'n drop method.

HTML files can of course contains hyper-links leading to other pages either on your computer or on the Internet. For the later, it is recommended to open them in a new window (option Target="_blank" in the HTML code) rather than in MyAlbum to have better browsing options.

You can also define links that point inside the album by using the following URL syntax:

myalbum://picture=±n
or
myalbum://gotopic=picfilename

Examples :

<a href="myalbum://picture=6"> Image xxx </a>
will jump to the 6th picture in the album.

<a href="myalbum://picture=-2"> Image xxx </a>
will go 2 pictures back.

<a href="myalbum://picture=+1"> Image xxx </a>
will jump to the next picture.

<a href="myalbum://gotopic=Sunset.jpg"> Image xxx </a>
will jump to the first picture named Sunset.jpg in the current album.

<a href="myalbum://picture=0"> Quit the slideshow </a>
use 0 as picture number to exit the slideshow.

Important note:
It is recommended to place Quit the slideshow link or button somewhere in your HTML page with the above code: the standard methods for quitting the full-screen mode (Esc key, popup menu or both mouse buttons down) will not work once the user has clicked in the displayed HTML page and he/she will wonder on how to leave the screen.
Links to the following pictures can be useful to if the slideshow is to be executed in manual mode.

Tip with drag'n drop

When dropping files in MyAlbum from the Windows Explorer, MyAlbum will only retain the files it knows about (it will ignore for instance .txt text file or .exe executables). You can force MyAlbum to accept all the dropped files by holding the Ctrl key. Note that unrecognizable files will be displayed using the MyAlbum logo.

This can be useful for adding files in a new video format for instance. To play the video, change the type of the picture in MyAlbum to video with this script:

const TYPE_VID = 31
dim alb, pic, st
set alb = app.GetCurrentAlbum
if not alb is nothing then
  set pic = alb.GetVisiblePicture( alb.nCurrentPicture )
  if not pic is nothing then
    st = pic.lStatus
    st = (st and &HFFFFFF00) or TYPE_VID
    pic.lStatus = st
  end if
end if


How to... Display pictures and start a slideshow

Viewing pictures with MyAlbum is very easy, all you have to do is select the thumbnail representing the picture in the album with the mouse and press the Enter key (you can also double-click the thumbnail or click the [image] button in the toolbar).

By default, the picture is displayed full screen (pictures larger than the screen, are shrunk and small pictures are enlarged) with its name and size at the bottom of the screen. Of course, MyAlbum has many others ways and options to display pictures!

To return to the album view, just press the Esc key.

MyAlbum has two modes for viewing pictures: the simple mode where only one picture is displayed and the slideshow mode where you can display a sequence of pictures.

To start a slideshow, select with the mouse the first picture you want to display and click the [image] button in the toolbar). To display the next picture, press the spacebar or click the picture with the left button. To go back to the previous one, press the Backspace key.

You can start a slideshow of only the picture that are selected, this is particularly useful for viewing the result of a Find command.

You can also start a slideshow displaying the pictures of the album in a random order.

Take a look at the The full-screen view - Viewing the pictures help page for the description of the commands available while viewing a picture.


How to... Customize the display of the pictures

Pictures

When you create a new album, pictures are displayed by default using the "Smart" mode: they are resized to fit the screen but small images are just zoomed by 3.

Depending on your pictures you may want to use another mode. You can change the default display mode of the album so the next time you will use the album this new mode will be used or just change it during the slideshow to better view a picture.

To change the default mode, open the Album Info window (F6) and select one of the modes listed in the "Mode" drop-down list.

To change the mode during a slideshow, press the key corresponding to the desired mode (see the list of available commands) or right-click the picture and choose the mode in the popup menu.

Comments

By default a line of comment is displayed in the lower left corner of the screen during a slideshow.

Its standard content is:

<First line of the picture comment> [<Full pathname of the picture>] <Picture size>

You can:

  1. hide/show this comment,
  2. display a long version of the comment,
  3. disable the comment,
  4. choose its font, color and position on the screen,
  5. select the information you want to display.

1) To hide the comment and to show it again, just press the 'C' key on the keyboard or right-click the picture and choose Comment in the popup menu.

2) To see a long version of the comment, click the comment with the mouse and hold down the button. By default the text displayed is the picture comment. To better read it you can lock this full comment, click the right button while holding the left down.

3) To disable the comment for the current album, open the Album Info window (F6), go to the second tab Color and Appearance and uncheck the Display comments option. Note that you can still display the comment during a slideshow by pressing the 'C' key or by choosing Comment in the popup menu.

4) To modify the way the comments are displayed for the current album, open the Album Info window (F6) and go to the second tab Color and Appearance. There the Comments frame contains the settings fro the comment display: you can choose the comment position on the screen in the "Position " drop-down list. You can also choose the font and colors for the comment: color for the text and for the background. Transparent background is also available so the comment will not hide a part of the picture. To improve readability in this case, select the Shadowed option to have a shadow under the text.

5) The comment text displayed by default in full-screen mode may not be suitable to your album. You may want to display fixed text (a text that will not change like a copyright notice) or some information that describe the album or the current picture (like the album title or the picture comment) or any combination of fixed and variable text.

To allow a flexibility and ease of customization MyAlbum uses what are called Display String. It's a string that contains text and macros codes. Macro codes (beginning with the percent sign (%) and followed by two characters) will be expanded to there corresponding text when the Display String is used.

To change the text displayed open the Album Info window (F6) and go to the second tab Color and Appearance . Then click the for full-screen display button to change the standard comment or the for the full comment button to change the long comment that pops up when clicking the standard comment.

Clicking either of these two buttons will display the Build display string window where you can modify the Display String. Use the Test button to have a preview of the generated text.


How to... Add sound to a slideshow

Displaying your pictures in an automatic slideshow is nice but have you thought of adding background music or a commentary to make it even enjoyable to watch?

No problem! With MyAlbum it's easy to add sound to your slideshow!

The basic concepts

MyAlbum is able to play most sound files including wav, midi, mp3, cd audio tracks,...

The basic idea is that you can attach a sound at the album level (the sound will be played whenever a slideshow is started) or at the picture level (it will be played when the picture is displayed).

You will the be able, if your sound board allows this, to play a background music (album level) and a different commentary for each picture (picture level).

For playing a sound you have to define a Play Command. The syntax of these Play Commands is described in the Reference section. Take caution to follow closely the described syntax.

The easy way

MyAlbum can help you build a Play Command.

In MyAlbum, open either the Album Info (F6) window for an album-level sound or the Picture Info window (F7) for assigning a sound to a particular picture.

Leave the window open and open the Windows Explorer. Locate the sound file(s) you want to use and, with the mouse, drag the file from the Explorer and drop it over the Album or Picture Info window. The Play Command will be built for you!

The (not so) hard way

You can of course enter your Play Command manually or modify an automatically built one for adding options or parameters.

Just follow closely the described syntax (no spaces on either side of the vertical bars!) and it will work.

Notes:

  • With wav and midi types, the pathname of the sound file must not have a space in it or no sound will be produced.
  • The media type requires that the Windows Media Player 6 or better is installed on your computer.


How to use the screen saver in MyAlbum

How to... Use the screen saver

MyAlbum comes with a screen saver module for Windows that enables you to play your favorite album when you're not using your PC.

How to set it up

  • First build an album with your best pictures!
  • Save the album.
  • In the Tools menu select the Install screen-saver command.
    The Display Properties window should open showing that the MyAlbum Screen Saver is now set as the default Windows screen-saver. Close this window with the OK button.
  • In the Tools menu select the Test screen-saver command.
    This will set the current album as the album to use for the screen-saver.
    The screen-saver will start and the slideshow will begin. Just move slightly the mouse to return to MyAlbum.
  • The MyAlbum Screen Saver is ready!

Customizing the screen-saver

  • In the Tools menu select the Setup screen-saver command.
  • The MyAlbum Screen Saver setup window is then displayed, if necessary, select the album you want to use with the Browse button.
  • You can then adjust the other parameters:
    • Delay is the delay in seconds between two pictures.
      It can be a value different from the one stored in the album.
      It can also be a fractional number like 1.5 for one second and a half.
    • Comment: display or not the picture comment,
    • Random order and Shuffle order: selects between a random slideshow, a shuffle slideshow or sequential slideshow (when both options are unset),
    • Multi mode : selects the multiple mode and one of its sub-mode:
      • Sequential: pictures are displayed, left to right, top to bottom.
      • Random: pictures are displayed randomly but without overlapping each others.
      • Floating: pictures are displayed randomly overlapping each others.
      • You can also adjust the number of columns and rows displayed that will have a direct impact on the size of the pictures on the screen.
    • You can choose to exclude certain files from the slideshow:
      • Skip non-graphic files will exclude all files that are neither pictures nor videos (HTML page for instance).
      • Skip videos will exclude video files.
      • Silent will not play any of the files listed in Play Commands attached to the album and the pictures.
      • Filter pictures using keyword will keep only the pictures that have the specified keyword.
    • If you have more than one screen connected to your computer, the screen-saver will use the setting defined in the Monitors window of the MyAlbum Setup.
      You can use the whole virtual screen (all the monitors) by selecting the Use the whole virtual screen option. For instance use it with the Multi mode option set.
    • Set last picture as desktop wallpaper: check this option to have the screen-saver automatically change the Desktop wallpaper (using the last displayed picture) when you exit the screen-saver mode.
  • Validate your choices by click the OK button.

Manual installation

You can install and setup manually the MyAlbum Screen Saver:

  • Install the module Use the Windows Explorer to locate the file named MyAlbum Screen Saver.scr (it is normally located in the folder MyAlbum has been installed in).
  • With the right mouse button, click the file and select the menu command Install.
  • The Display Properties window should open showing that the MyAlbum Screen Saver is now set as the default Windows screen-saver.
  • Click the Settings button to open the MyAlbum Screen Saver setup screen (see above).
  • Select the album to use, adjust the other parameters and click the OK button to return to the previous screen.
  • Click the Preview button to have a look at the result.
  • Click the OK button to save all the settings.

It's not working!

When testing the screen saver, instead of your pictures, you are only seeing the MyAlbum logo moving across the screen or, worse, an empty black screen....

  • Empty black screen
    • The screen saver module is dependant of the main MyAlbum application for displaying the pictures. The file MyAlbum.exe must be present on your computer and correctly registered (MyAlbum register itself the first time it is run).
    • The version of the screen saver module and the version of the main MyAlbum application must match. If you have installed a new version of MyAlbum check that there no other files named MyAlbum Screen Saver.scr from an older version on your computer.
    • You have specified a very large album to use with the screen-saver. The album must first be loaded and the pictures selected before the slideshow could begin. In this case, please be patient for a few seconds!
  • Bouncing MyAlbum logo
    • This can be the result of a mismatch between the version of the screen saver and the version of MyAlbum (see above).
    • Most often, it means that the specified album cannot be found (album file moved, renamed or deleted) or read (damaged file or insufficient access rights) or is empty. Check what you have entered in the Album field and if you can open it in MyAlbum.
    • Another common mistake is to set a too restrictive filter: setting Skip videos on an album containing only video files will produce zero picture to show. The same thing will occur if you have misspelled the filter keyword or selected a keyword that isn't attach to any picture.


How to... Print an album or a poster

With MyAlbum is easy to print your album or your pictures!

MyAlbum allows you to:

  • print the current album,
  • print a set of pictures using a customizable layout,
  • print a poster of a picture.

Printing the album

This type of printout will allow you to print your album as pages of thumbnails. All the thumbnails displayed in the current view will be printed.

To print an album, just click the [image] button in the toolbar).

Before doing this, you may want to alter the settings: select the command Application Setup in the File menu and click the Printer tab. There you can adjust the printed size of the thumbnails, the margins, the title of the pages and the fonts.

You may also want to preview the printed result with the Print album Preview command in the File menu.

By default, MyAlbum will print the pages of the album using the thumbnails. That's a quick process but often leads to unsatisfactory results. To improve the quality of the print outs, you can uncheck the option Use thumbnails pictures in the Printer tab of the application setup. MyAlbum will then load each picture in turn to print a page, the quality will be improved but the processing will be much longer and will require a lot more of memory.

Printing a set of picture

This type of printout will allow you to print a set of pictures (the ones currently selected in the album) using a fully customizable layout.

To print some pictures, first select the pictures you want to print, then use the Print the selected pictures in the File menu.

The MyAlbum screen will switch to an empty page used to define the sheet layout.

The layout is very flexible as it allows the printing of one or several pictures on the same page, choose the size, add text that can be fixed or linked to a picture. You can even repeat a picture (to print sheets of ID photos for instance!).

The layout can be saved in a template file so it can be reused later. MyAlbum comes with some template samples that you can use as they are or modify to suit your needs.

Use the Load layout command in the File menu and select one of these predefined templates. Note that these templates are for printing on A4 paper.

The opening of a layout template will start the Print preview mode that shows the pages as they will be printed. As the preview is using the thumbnails to speed up the display, the quality may appear heavily "pixelized" and of low quality. Don't be alarmed: when using the printer, it will be your pictures that will be used and not the thumbnails.

Printing a poster

If you want to print just a picture, you have the possibility to build big posters by printing the different parts of the picture on several sheets of paper.

Once all the pages printed, all you will have to do is remove the unnecessary margins and glue or tape the pages together.


How to... Export an album and build HTML pages

Once you have created an album of your best photos, why not share it on the Web or use the information it contains?

With MyAlbum, you can easily build contact sheets, HTML pages or text lists of your album.

You can export an album with the Export album command and:

  • Make simple text listing of your album,
  • Extract and save the thumbnails of the album,
  • Build contact sheets, bitmap images presenting a page of thumbnails,
  • Build HTML pages.

Exporting an album on the Web

It now easy to have a personal web page! Many companies are providing free personal web hosting (sometime bundled with your internet access) with free space (generally between 30 and 100 MB) where you can store your web pages and, of course, your photos.
With MyAlbum it's really easy to generate a HTML version of your album that can be uploaded to your personal web pages. Afterwards, just give the corresponding URL to your relatives and friend so they can enjoy your photos from there home (or work or cyber café) even if they have a Mac or are using Linux.

If you're not a HTML expert, you may want to read the following advices in order to maximize your chances of success.

Basic concepts

Each photo of your album is stored at precise location on your computer hard-disk. It is an absolute address (or access path), someting like C:\MyPictures\HolydaysInParis\Pic-0001.jpg. MyAlbum uses a method called Relative path that uses the current album location to dynamically build the access path to the picture. Most web servers aren't allowing (or even will not understand) the use of an absolute path so you must prepare your album to use relative addressing exclusively. To build your web album, you will first generate it on your computer (where you will be able to test it) and then upload the files (the generated files and your pictures) to your personal web space.

A simple and effective file organization

Don't be too ambitious for your first web albums! Try first with a simple album with not too many pictures so uploading and testing the files will be quicker.
If your album is quite small (say under 100 pictures), it will be best to store all your files in ONE SINGLE folder.
This folder will then contain:
  • The album file,
  • The pictures,
  • The generated files: HTML files and, if needed, the saved thumbnails.

If your album is larger then it will be better to arrange all the files in more than one folders (but all under the same master folder):
  • The root (master) folder of the album (in our case C:\MyPictures\HolydaysInParis) will contain the album file and the generated HTML files,
  • One or more folders for the pictures,
  • One folder for the thumbnails.
Notes:
- In both cases, it is important that all the pictures are located in the album root folder or in sub-folders of this folder so MyAlbum can generate relative paths to the pictures in the HTML files.
- It is not advisable to use folders that have spaces or accented characters in their names when exporting an album to HTML.

Exporting the album

The HTML export module of MyAlbum offers you four basic templates:
  • One page list: build a simple list of the pictures containing the filename and the comment of each picture.
  • Image list page: build a simple page containing the pictures themselves and their comment.
  • Multiple pages with thumbnails: build one or more page(s) looking like contact sheets.
  • Two frame page: build a HTML pages containing two frames; a narrow one on the left shows the thumbnails vertically like a film strip and a larger one used for displaying the pictures themselves.

Step 1: Prepare the album

Before starting building web pages you may want to check your album to see if everything is OK. You may:
  • Set the album title and comment.
  • Select the pictures you want to include in your web pages. You can define for instance a Selection keyword and use it to flag the pictures that will be used in the web pages.
  • If needed, rearrange the pictures so they will appear in the proper order.
  • Add comments or descriptions to these pictures.
  • Set the Use relative path option in the Album Info.
  • Don't forget to save the album to make your changes permanent!

Step 2: Export the thumbnails

Skip this step if the chosen HTML export type don't require thumbnails (One page list and Image list page).
  • Select all the pictures that you want to include in the web pages.
    If you have defined a Selection keyword, use the Find command to select all the wanted pictures.
  • In the Tools menu select the Export album command.
  • Select the Save thumbnails option.
  • Select output folder where the thumbnails will be saved in with the Browse button.
    Use the album root folder there.
  • If using a "large" album, type thumbnail in the edit field on the right of the Save thumbnails option. If using a "small" album, leave this field empty.
  • Select the Only selected option.
  • Click the Start button.
The thumbnails of the selected pictures are now generated. Check the information line at the bottom of the dialog box for any error message.

Step 3: Generate the HTML files

  • If you have skipped Step 2, perform the two first actions of this step to find yourself in the Export album dialog box with the proper selection of pictures.
  • Select the HTML pages option.
  • Select the Only selected option.
  • Click the Start button.
The HTML files are now generated. Check the information line at the bottom of the dialog box for any error message. You will also get an error message if MyAlbum has not been able to convert all the HTML links to relative links. In that case check your file organization as the generated web pages will certainly not work once installed on the web server.

After a few second your web browser will open showing your album exported as HTML pages.

Step 4: Test the generated files

By default, the default web browser will be launched on the newly generated pages so you can check if everything is OK.
You might want to check:
  • If all the thumbnails are displayed correctly.
  • If all the links to the pictures are working correctly.
  • If the displayed texts show the information you want.

Step 5: Upload the file on your web site

Check with your web hosting supplier what is the recommended method for uploading files to your personal web space. Common methods are ftp and a web-based file manager.
The goal of this step is to copy your pictures and the generated files from your computer to the web server that is hosting your personal web space. For ftp for instance, you can use any ftp application or use the standard Web Publishing Wizard that you can access with the Publish on the Web command in the Tools menu.

You will need to upload:
  • The files of the pictures you have selected,
  • The generated thumbnails,
  • The generated HTML files,
  • Some miscellaneous graphic files you will find in the output folder that are needed by some HTML templates.
Notes:
- It is not necessary to upload the album file.
- You must reconstruct the same folder structure on the web server or the HTML pages will not work.

Step 6: Test your web site

Once all the needed files are uploaded on the web server, you can check your pages using the URL of the newly created pages. An URL starts with http:// and will look like this:
http://www.mywebprovider.com/myaccount/HolydaysInParis/HolydaysInParis.html

Again check if everything is OK. Here are some common errors that can prevent your web pages to work correctly:
  • Some files are missing or are not in the right folder on the web server.
  • Most web server are using the Unix operating system which is case-sensitive i.e. it takes into account the character cases. Looking for Pic001.jpg when the file is actually named Pic001.JPG will failed on a Unix system although it will work well on a Windows computer.
When everything is correct, you can communicate the URL to your family and friends so they can enjoy your pictures!

Going further

The Export album and the HTML & Contact sheet settings dialog boxes have many setting you can adjust to modify the look of the generated web pages: colors, texts displayed,...

Another approach for exporting albums as HTML web pages is the use of scripts.
MyAlbum has an integrated script tool that can be used to automate repetitive or complex tasks.
The Web section of the Extensions and Scripts web page on the MyAlbum web site contains a selection of ready-to-use scripts that can be used to generate customized web pages.


How to put an album on a CD-Rom

How to... Build a CD-Rom album

Introduction

If you have a CD writer, why not put all your pictures, the album file and the MyAlbum application on a CD you can take with you so you can show your pictures to other persons?

First you will have to choose the kind of CD-Rom you are going to build. The choice will depend on the device on which you will use the CD-Rom:

  • A PC running Microsoft Windows. That's the simpler case because you will only need to copy on the CD-Rom the files that are already present on your computer. See the following paragraph on how to build a CD-Rom for running on a PC.
  • Another kind of computer. The computer is not able to run the MyAlbum application so it will not be able to open your album. Exporting your album as HTML pages and writting them on a CD-ROM is then the best solution.
  • A DVD Player. This kind of device is only able to play some standardized CD format. The VCD and SVCD formats can be used to build photo albums that will be playable on most DVD players.

Note also that, with some extra work, you can build a CD containing (S)VCD data, HTML pages and your album. This CD wil the be playable on a wide range of devices.

Building a CD-Rom for a PC

Here are a few tips for building a CD-Rom version of your album.

First:

  • Have all your pictures located in the same tree structure with the album file at the top. Do the same thing for the background music files.
  • Check the check-box, Use relative path in the Album information dialog box.
  • MyAlbum is a self-contained application that doesn't need installation to run, so it can be launched directly from the CD even on computers where it has never been installed.

Without the two first points, MyAlbum may not be able to find your pictures on the CD (depending of the computer, the CD-ROM can be the D:, E: or whatever letter: drive).

Select the other settings for the album like color, delay,... (do it before burning the CD!).

Prepare an autorun.inf file to make your CD start automatically when you insert it in a computer. This file must be located at the root directory of the CD-Rom.

A minimal file will look like this:

[autorun]
icon=MyAlbum.exe,1
or
icon=someiconfile.ico
open=MyAlbum.exe album.alb /play

shell\play = &My beautiful photo album
shell\play\command = MyAlbum.exe album.alb /play

Some useful command line parameters:

MyAlbum.exe album.alb
Will launch MyAlbum and load the specified album.

MyAlbum.exe album.alb /play
Will launch MyAlbum, load the specified album and start a sequential slideshow.

MyAlbum.exe album.alb /playrnd
Will launch MyAlbum, load the specified album and start a random slideshow.

Use the Auto-flip option of the album to make the slideshow automatic or use the /auto parameter.

With your CD-R software, select all the needed files:

  • the autorun.inf file,
  • the MyAlbum files (minimum is MyAlbum.exe, you can also add the online help file MyAlbum.chm and, if needed a language file MyAlbum.dll),
  • the album file,
  • all the picture files and, if needed, the background music files and the scripts.

and start burning the CD!

More information:

The autorun.inf file

The 'autorun.inf' is used for building CDs that start automatically when inserted.

It's a normal text file that must be placed at the root directory of the CD. You can edit it with the standard Windows Notepad.

You may find on the Internet useful information about autorun.inf files (syntax, samples,...). CD bundled with computer magazines will also give you examples of autorun.inf files.

Putting all the chances on your side

Two things (at least) can occur to make the CD album fail.

One is that the CD drive on the other computer doesn't use the same drive letter as your own computer. The Use relative path option (in the Album Information dialog box F6) is for dealing with this problem.

Two, the links to the pictures stored in the album file are still pointing to the original pictures on your hard drive. The CD will seem to work fine on your computer only because it's still reading the pictures from the hard drive and not from the CD.

To put all the chances on your side, follow these advices:

  • use the Use relative path option. With this MyAlbum will use the actual path of the album file to access the pictures.
  • place all the pictures in a folder structure with the album file at its root so the relative path option will work.
  • try to test before burning the CD (or use CD-RW rewritable CD!).

A nice and useful trick for testing is the old DOS command SUBST. With it you can create a pseudo-drive that will map to any directory you want.

Supposing you have your pictures and the album file in d:\Pictures\XMas, type the command:

subst k: d:\Pictures\XMas

You now have a new K: drive (or use any unused other drive letter). Open the album file that appears in this drive and test the album to see if the application is accessing the pictures in the K: drive (that is good!) or in another drive (that is bad!).

Another good thing to do is to prepare a folder that will be the image of future CD.

Copy in this folder all the needed files (MyAlbum application and help files, all the pictures, the album file and the autorun.inf file).

Do a subst on this folder to create a pseudo-drive.

To check how MyAlbum is accessing the pictures the following script can be useful, it lists all the picture in the current album and for each its path as it stored in the album and the path used to load and display the picture.

Copy it in MyAlbum script window and click Run.

app.ClearTrace
set alb = app.GetCurrentAlbum
nb = alb.nbPicture
app.Trace "Pictures in this album: " & nb
for i=0 to nb-1
    Set pic = alb.GetPicture(i)
    s = alb.ExpandMacro( pic, "%RP" )
    app.trace pic.sShortFileName & " [" & pic.sFileName & "]->[" & s & "]"
next
app.Trace "Done !"

Another way is to temporary change the Display String for the full-screen view (replace it by "%FN [%FP]->[%RP]"). With this you will see a similar information when viewing the pictures.

To test the autoplay feature on a subst drive, you may need to change the NoDriveTypeAutoRun key in the Windows registry.

Caution: if you are not a registry expert, DO NOT try to modify directly the registry.

Microsoft Support Web site has a nice page about the NoDriveTypeAutoRun parameter:

http://support.microsoft.com/support/kb/articles/Q136/2/14.asp

It's still not working!

There are various things that can make an auto-run CD album fails:
  • The autorun feature is disabled on this computer (some CD burning application disable it as it can interfere with them). Try with a CD that comes with a magazine.
  • The autorun.inf file cannot be found. To be auto-start a CDRom must contain a file named autorun.inf in the root folder.
  • The autorun.inf file is not correct. Windows cannot understand it's content or cannot start the specified comand.
  • MyAlbum is starting but not loading the album.
    • Check that the alb file is copied on the CD.
    • Check that command in the autrun.inf file is able to load the album.
      Something like: open=MyAlbum.exe album.alb /play
  • MyAlbum is loading the album but cannot display the pictures.
    • Check that the pictures files are copied on the CD.
    • Check that the Use relative path option of the album is set.
    • Check that the folder structure of your picture files (if any) is the same on CD as on your hard-disk.


How to... Write and use scripts

MyAlbum has an integrated script tool that enables you to write scripts (in VBScript, javascript, Perl,...) that will extend the possibilities of MyAlbum. With scripts you can for instance:

  • Perform repetitive or often used sequences of actions,
  • Define new commands by attaching a script to a keyboard shortcut,
  • Access external data stored in a database or a spreadsheet file,
  • Export an album to a Microsoft PowerPoint presentation,
  • Build custom web pages,
  • ....

Important notice: This functionality will work only if ActiveX Scripting is installed and enabled on your computer. This should be the case if you have Microsoft Internet Explorer 4.0 installed or are running Microsoft Windows 98.

Useful information

  • See the Scriptable Objects chapter for the description of the objects, properties and methods that can be used in a script.

  • For a description of the script language, please refer to the Microsoft Web site ( http://msdn.microsoft.com/scripting/VBScript).
    On the same site, you will find a script debugger that can be useful for tracking errors in yours programs.

  • Most scripts can be run outside MyAlbum or converted to other macro languages. To do this, you will have to define the app object.
    For instance in VB or VBA:
    dim app as Object
    set app = CreateObject("MyAlbum.Application")

  • You are not limited to the VBScript or the JScript languages, in fact you can use any script language compatible with the ActiveX Scripting like Perl, Python, Haskell... See Installing a script language for more details.

Using scripts with the MyAlbum viewer

The MyAlbum viewer (MyAlbumViewer.exe and all-in-one albums built using the viewer) is able to run scripts too but with some limitations:

  • Only VBScript and Jscript can be used,

  • Do not use the MyAlbum constants (such as SS_VIEWPIC or TYPE_JPEG) but use their real value (1 for SS_VIEWPIC and 2 for TYPE_JPEG). If the album is played on a computer where MyAlbum has not been installed, these constants will not be defined and the script will fail to run.

  • The viewer supports a subset of the MyAlbum object model. All functions used to modify or create albums, files and pictures are not supported (album.Save, album.AddPicture, picture.ConvertAndResize, picture.xmlEncode,...).

Writing your first scripts

I know nothing of these VBScript, javascript, Perl,...!

To write a script you will need some basic knowledge of computer programming. The Microsoft site (see above) provides lots of information on VBScript and JScript.
What you will need is:
  • Ability to write (small ands simple) programs in one of the languages supported by MyAlbum,
  • Understanding of the MyAlbum object model.
Writing your first script may seem a complex and intimidating task at first. To help you, you will find some demo scripts in the MyAlbum folder. By using them and studying their code you will soon be able to modify and adapt them to your needs as it's always easier to start from an existing working code than having to write it from scratch.
Soon, you will master the Art of Script Writing and discover the true power of MyAlbum!

You will find on the MyAlbum web site a large selection of ready-to-use scripts. Download them, use them, study them, modify them!

I'm an expert in VBScript, javascript, Perl,...!

Then, just pick, in the languages supported by MyAlbum, the one you prefer, study the MyAlbum object model and you will soon be able to write your own MyAlbum scripts.
You have written some useful and/or interesting scripts ? Send them to support@myalbumpro.com so they can be made available to the other MyAlbum users.

But I don't want to write scripts!

Fortunately, most of the scripts available on the MyAlbum web site do not require at all that you understand each line of code in order to use them! Each starts with a header comment that contains a description of the script, its purpose and how to use it.


How to... Use information stored by digital cameras (EXIF)

Many digital cameras create image files that store information about the image and the camera that took it. Information about shutter speed, aperture, focal length is typically included as long as the precise time the picture was taken.

MyAlbum can extract these information when reading a picture and put them in the Custom Fields of the picture. With the information in the Custom Fields it will then be easy to display it, print it or use it by any other means.

The module that extracts Exif information is installed along with MyAlbum and is automatically loaded. You can check it›s state in the MAX tab of the Application Setup dialog box: you should see a line reading Digital still camera image information extractor (if not please read the MAX_DigiCam-ReadMe.txt file in the MyAlbum folder).

As the extractor will put the extracted data in Custom Fields, your album must have a set of Custom Fields that match the extracted data.

When you create a new album using the Wizard, define the fields in the Custom fields screen: the easiest thing is to use a predefined template (JPEG/Exif for instance) and click the Build list button.

If you are not using the Wizard, open the Album Info window (F6) and go to the Custom fields tab and define the set of Custom Fields (do it before adding any picture to the album!).

Tip: If you are often using the same template, open the Application setup dialog box and go to the Color tab and select the template in the Use custom fields set drop-down list. This template will be added to all the albums that you will create afterwards.

Now you can add JPEG pictures to your album (see How to... Add picture to an album page), if they contain Exif data, it will be extracted and stored in the custom fields.

Select a picture and open the Picture Info (F7) dialog box, you should see the extracted information in the list in the lower right corner.

Using the extracted Exif data

Now that the Exif data is stored in the Custom Fields you may want to use it for display or printing. MyAlbum uses for generating texts what are called Display Strings. The Display string editor dialog box allows you to build your own display strings. You will find there the set of defined Custom Fields in the rightmost list. Select one of them and click the Add button, the code for the custom field will be inserted in the Display String.

Advanced operations

The extractor will extract the following information:

Custom field | Type | Description
Date | Date | Date the picture was taken
Time | Time | Time the picture was taken
Shutter | String | Shutter speed
Aperture | String | Aperture of the lens (F number)
Flash | String | Flash was used or not
Zoom | String | Focal length used
ImageDescription | String | Image Description
UserComment | String | User Comment

You can customize the names of the Custom Fields used: for instance, you will want to use Date taken instead of just plain Date.

To do so, open the MAX manager in MyAlbum, select the MAX and click the Setup button. In the dialog box, you can edit the names of the custom fields that the MAX will put information in.

Remember that the name specified in the Setup box and the actual name of the Custom Field must match exactly.


Relative path… what is this?

Relative path... what is this?

When creating a CD-Rom album you will have to set the option Use relative path in the Picture Info dialog box (F6).

The reason for this option is that MyAlbum stores, in the album file, the absolute access path to your pictures so, later, it can load them and display them.

Example, my album (the .alb file) is stored in the folder:

C:\Program Files\MyAlbum\AlbumTest

In this folder I've created some sub-folders: Page1, Page2,…

The picture Picture1.jpg located in the Page1 folder will be listed in the album as:

C:\Program Files\MyAlbum\AlbumTest\Page1\Picture1.jpg

The problem is that this album, copied to a CD-Rom, will continue to load my pictures from the hard drive of my computer. This will work fine on my PC but not at all on another PC where I wanted to play the CD on.

One solution would be to globally change the pictures access path (using the command Drive & Folder from the Edit menu) so the album will load the pictures from the CD.

Example, the picture Picture1.jpg will now be listed in the album:

D:\AlbumTest\Picture1.jpg

This will work fine on my PC and on all PC where the CD drive is D:. But, depending on various parameters and hardware the CD drive may be identified as E: or F: or any other letter and the CD album will fail to load the pictures.

What I need is that MyAlbum use the current location of the album file for finding the pictures of the album. That's the purpose of the Use relative path option!

With this option activated, MyAlbum will use the album access path as a base path and look for the pictures from there.

Example, on the CD the album file is:

G:\AlbumTest\Album1.alb

Its access path is: G:\AlbumTest\

The picture Picture1.jpg is still listed in the album in its original location, that is:

C:\Program Files\Myalbum\AlbumTest\Page1\Picture1.jpg

But in fact it is really in the folder:

G:\AlbumTest\Page1\

MyAlbum compares the picture original access path and the album access path and finds a common part AlbumTest,

G:\AlbumTest\

C:\Program Files\Myalbum\AlbumTest\Page1\

It will modify then the picture access path like this:

G:\AlbumTest\Page1\Picture1.jpg

And voilà, MyAlbum can load and display the picture from the CD!!!

Caution, the relative path will not work if the two access paths are not related, i.e. the pictures must be stored in sub-folders of the folder the album file is stored in and the structure of this folder must be the same on the CD and on the hard drive.

For instance, I've put in my album a picture listed as:

C:\My Photos\Misc Pictures\Photo_xyz.jpg

Here, there is nothing in common between the access path of the album and the access path of the pictures, MyAlbum will not be able to locate and load the picture from the CD.


Technical Reference

  • For a list and description of the scriptable objects, that is objects you can use in a script, select
    Scriptable objects

  • For a description of the file format of the MyAlbum album, select
    MyAlbum album file format

  • For a description of the command line parameters, select
    Command line parameters

  • For a description of the play command syntax (background music), select
    Play command syntax

  • For a description of the macro that can be used in the Display Strings, select
    Macros used in display strings


Scriptable objects

Technical Reference - Scriptable Objects

The scriptable objects in MyAlbum:

  • The App object. This is the root object that represents the MyAlbum application.

  • The Album object. An album object represents an open MyAlbum album.

  • The Picture object. A picture object represents a picture in an album.

  • The Keyword object. A keyword object represents a keyword or a custom field in an album.

  • The FullScreenView object. The view used to display the pictures in full-screen mode.

  • The MyAlbumXtension object. A MyAlbumXtension object represents a loaded MAX extension.

  • The rect object. A rect object represents a simple rectangle.

VBScript example:

' The app object is predefined
app.Trace "MyAlbum version: " & app.Version

' Use the app object to get a album object
Dim alb, pic
set alb = app.GetCurrentAlbum

' Use the album object to get a keyword object
dim kw
set kw = alb.GetKeyword(0)    ' Get first keyword
app.Trace "First keyword is = " & kw.sName

dim nbPic, i
nbPic = alb.nbPicture
app.Trace "Pictures in this album: " & nbPic

alb.nbSelectedPicture = 0    ' Clear the selection

for i=0 to nbPic-1
  ' Use the album object to get a picture object
  Set pic = alb.GetPicture(i)
  app.trace i & " : " & pic.sShortFileName
  ' Select all the pictures that have the keyword
  if pic.HasKeyword( kw.sName ) then
    pic.bSelected = True
  end if
next

'Force the redraw of the album
alb.ReDraw


The App scriptable object

The App object

This is the root object that represents the MyAlbum application itself.

Note: For case-sensitive languages like JScript, make sure you type App and not app.

Properties:

Version | String | read-only | The version of the running MyAlbum application.
Visible | Boolean | read-write | Shows or hides the application.
nbAlbum | long | read-only | Number of open albums.
nJPEGQuality | short | read-write | Quality (0..100) when saving a JPEG file.
bJPEGProgresive | boolean | read-write | Saves JPEG using progressive encoding.
nMultiX | short | read-write | Number of pictures in a row in multi-display mode.
nMultiY | short | read-write | Number of pictures in a column in multi-display mode.
nMultiPercentage | short | read-write | Relative size of the picture in multi-display mode.
nMarginLeft | long | read-write | Size of the left margin (mm) when printing.
nMarginRight | long | read-write | Size of the right margin (mm) when printing.
nMarginTop | long | read-write | Size of the top margin (mm) when printing.
nMarginBottom | long | read-write | Size of the bottom margin (mm) when printing.
nSlideSizePrt | long | read-write | Size of the thumbnail (mm) when printing.
sFontPrinterThumbnail | String | read-write | Font used when printing the thumbnails.
sFontPrinterTitle | String | read-write | Font used when printing the page title.
sFontPrinterFooter | String | read-write | Font used when printing the page footer.
nbMAX | long | read only | Number of loaded MAX extension.
nUseNavigation | long | read-write | Navigation flags (see below).
nState | long | read only | State of the application (STATE_NONE=0, STATE_ALBUM=1, STATE_FULLVIEW=2, STATE_PLAYING=4).
bMultiMode | Boolean | read-write | Set or clear the multi-display mode.
nMultiSubMode | Long | read-write | Select the mode of the multi-display.
StatusBarText | String | read-write | The text displayed at the bottom of the main window.
nSlideshowMode | Long | read-only | The current display / slideshow mode (use the SS_xxx constants described below).
sInfo | String | read-write | String for storing temporary info.
lLastKeyPressed | long | read-write | Code of the last key pressed in the application (thumbnail view or full-screen view): the lower word contains the virtual-key code of the key (VK_xxx constants) and bit 0x00010000 is set if the Shift key is also pressed, bit 0x00020000 for the Ctrl key and bit 0x00040000 for the Alt key. Modifying this property has no effect.
nStretchMode | Long | read-write | Mode used for resizing the pictures when converting pictures and generating the thumbnails (see Resizing modes in the Album object page).
sScriptFile | String | read-only | The filename of the currently running script (if any).
sDateTimeFormat | String | read-write | The format of the date / time.

Methods:

LoadAlbum(pszFileName As String) As Object
Loads the specified album.

GetAlbum(long numAlbum) As Object
Retrieves an open album (first is 0).

GetCurrentAlbum() As Object
Retrieves the current album.

NewAlbum() As Object
Creates a new empty album.

Trace(pszMsg As String, [optional] crColor as Long, [optional] uIcon as Long )
Displays the specified string in the trace window. Text color can be changed with the crColor parameter and an icon can be displayed at the begining of the line (use the TRACE_xxx constants described below).
Optional parameters:
crColor = -1 (use default script color),
uIcon = -1 (no icon).

ClearTrace()
Clears the trace window.

HTMLFileName(sFile As String, sBasePathName As String, [optional] bData as Boolean) As String
Constructs a web compatible path name for a file. A relative path will be built, if possible, using the folder specified by the sBasePathName parameter (the folder of the album file is usually used there).
Characters that should not appear in a URL are escaped (' ' -> %20 for instance).
If bData is True, characters like & = or ? are also escaped.
Optional parameter: bData = False.

ConvertString(sString As String, nType as Integer) As String
Convert the string to the another coding. In this version, the nType parameter is ignored (and should be 0) and the string is converted to UTF-8.

Run(pszCommand As String, bIsFile As Boolean, nMode As Long) As Long
Starts an application (bIsFile=False) or open a file using its associated application (bIsFile=True). nMode: bits 0-3 are for the new window state (Windows SW_xxx constants): 0:hidden, 1:Normal, 2:minimize, 3:maximized, 4:inactive. Bit 16 specifies if the application will be run synchronously with MyAlbum (1) i.e. MyAlbum will wait for the application to terminate or asynchronously (0).
The return value is 0 if the command has been launched (for a synchronous command, it contains the exit code).

TimeToString(lDate As Long, nDateType As Long, [optional] sFormat as String ) As String
Converts a date or time value to a string. For the nDateType parameter, use the CF_DATE (1) or CF_TIME (2) constants. Format can be specified: for instance "HH:mm:ss" for a time or "MM/dd/yyyy" for a date.
Optional parameter: sFormat = use default user format.

TimeValueToDate(lDate As Long) As Date
Convert a date or time value to a date object.

DateToTimeValue (date As Date) As Long
Convert a date object to a time/date value.

GetMAX(sMaxName as String) as Object
Retrieves the specified MAX extension.

GetMAXByNum(iMax as Long) as Object
Retrieves the specified MAX extension by its position (0..nbMAX-1)

Wait(lDelay as Long)
Waits for the specified delay (ms).

GetTickCount() As Long
Retrieves the number of milliseconds that have elapsed since the system was started.

HTMLDialog(sHTMLFile As String, sArgs As String, sDlgParam As String) As String
Opens a HTML dialog box (IE 4 must be installed).

SendMessage(bPost As Boolean, nDest As Short, uMsg As Long, wParam As Long, lParam As Long) As Long
Sends or posts a Windows message to a MyAlbum window:
- nDest=0 Main frame of the application,
- nDest=1 Current view of the current album,
- nDest=2 Full-screen display window.

PlaySound(sSound As String, hMod As Long, fdwSound As Long) As Boolean
Play a sound (hMod must be 0):
- Play a wav file specified by the sSound parameter (fdwSound=&H00020000)
- Play a system sound when fdwSound= &H00110000:
- sSound = 1 ASTERISK
- sSound = 2 QUESTION
- sSound = 3 HAND
- sSound = 4 EXIT
- sSound = 5 START
- sSound = 6 WELCOME
- sSound = 7 EXCLAMATION
- sSound = 8 DEFAULT

DecodeBase64ToFile( sSource As String, sDestFilesSound As String) As Boolean
Decode the Base64 encoded string to a file.

HTTPGet(sURL As String, sFile As String) As Long
Retrieve a file from the Web and store it in a local file.

HTTPGetString(sURL As String) As String
Retrieve a text file from the Web and return it as a string.

GetFullScreenView() As Object
Retrieves the view used for full-screen display (or null if not in full-screen mode).

AddCustomTool( sCaption As String, sCmd As String, lVirtualKeyCode As Long, lModifiers As Long, bSave As Boolean) As Boolean
Create a new (or modify an existing) custom tool. sCaption is the string that will appear in the Tools menu. sCmd is the command to execute in the form i|cmd (i=1 for a script file, i=2 for VBScript code and i=3 for JavaScript code). lVirtualKeyCode and lModifiers define the shortcut used to start the tool. When bSave is True, the custom tool definition will be saved.

RemoveCustomTool( sCaption As String, bSave As Boolean) As Boolean
Remove an existing custom tool identified by its caption (the string that appears in the Tools menu). When bSave is True, the custom tool definition will be removed from the registry.

GetFilename( sCaption As String, nType As Long, sInitName As String, sFilter As String, lFlags As Long ) as String
Open the standard dialog box for selecting a file or a folder. Depending on the nType parameter:
- 0: Select a file to be opened.
- 1: Select a file to be saved (new file).
- 2: Select a folder.
sInitName contains the initial name for opening a new file or the selected folder when selecting a folder.
sFilter specifies the list of extensions that will appear in the Files of type drop-down list.
For instance: Album file (*.alb)|*.alb|All files (*.*)|*.*|| (note the double | at the end of the filter).
sInitName may contain OFN_xxx constants.

CaptureScreen( x as Short, y as Short, w as Short, h as Short, ) As Boolean
Capture a rectangle bitmap from the screen and copy it to the Windows clipboard.

Constants:

Navigation flags:

This is a 32 bit value containing various information:

USE_SPACEBAR | 0x1 | Space bar is used in slideshow.
USE_MOUSE | 0x2 | Mouse is used in slideshow.
USE_JOYSTICK | 0x4 | Joystick is used in slideshow.
USE_SUSPENDSS | 0x8 | Screen saver is deactivated during slideshow.
USE_IGNOREERROR | 0x10 | Errors are ignored during slideshow.
USE_NOWAITFORVIDEO | 0x20 | Slideshow waits or not for the end of videos.
USE_REVERSEDROP | 0x40 | Pictures are dropped in the reverse order.
USE_NOMESSAGES | 0x80 | Most messages are not shown.
USE_FSTOPMOST | 0x100 | Full screen window is a top-most window.
USE_ALWAYSALBUMSOUND | 0x200 | Album sound command is played even in single picture display mode (normally played only in slideshow mode).

Slideshow mode:

This is a 32 bit value containing the following information:

SS_NONE | 0 | Thumbnail view mode.
SS_VIEWPIC | 1 | Single picture viewing.
SS_NORMAL | 2 | Standard slideshow.
SS_SELECTED | 3 | Slideshow of the selected picture.
SS_RANDOM | 4 | Random slideshow.
SS_AUTO | 0x10000 | Automatic slideshow.
SS_MULTI | 0x20000 | Multiple slideshow.

Trace icons:

TRACE_NONE | -1 | No icon.
TRACE_INFORMATION | 0 | Information sign
TRACE_OK | 1 | OK check mark
TRACE_WARNING | 2 | Warning sign
TRACE_ERROR | 3 | Error sign
TRACE_SCRIPTERROR | 4 | Error in a script
TRACE_QUESTION | 5 | Question mark
TRACE_REDDOT | 6 | Red dot
TRACE_GREENDOT | 7 | Green dot
TRACE_YELLOWDOT | 8 | Yellow dot
TRACE_ARROW | 9 | Arrow pointing to the right
TRACE_BOMB | 10 | Bomb
TRACE_FLAGCOMPLETE | 11 | Complete flag
TRACE_FAILURE | 12 | Faillure sign
TRACE_POSITIVE | 13 | Positive sign
TRACE_NEGATIVE | 14 | Negative sign
TRACE_LIGHTON | 15 | Lightbulb on
TRACE_LIGHTOFF | 16 | Lightbulb off
TRACE_LOOKAT | 17 | Look at sign
TRACE_TLRED | 18 | Red traffic light
TRACE_TLYELLOW | 19 | Yellow traffic light
TRACE_TLGREEN | 20 | Green traffic light
TRACE_WAIT | 21 | Wait sign
TRACE_UNCHECKED | 22 | Unchecked option symbol
TRACE_CHECKED | 22 | Checked option symbol

Font format:

String containing the following fields:
FaceName,Height,Width,Weight,Italic,Underline,StrikeOut

With:

  • FaceName: Name of the font
  • Height: Height of the font
  • Width: Width of the font (0 for standard width)
  • Weight: Weight of the font (400 is regular, 700 is bold)
  • Italic: Font is italic
  • Underline: Font is underlined
  • StrikeOut: Font is strike out

For instance:
Arial,8,0,400,1,0,0
is a italicized Arial font of 8 points height.


The Album scriptable object

The Album object

The album object represents an open album in the MyAlbum application.

Properties:

FullName | String | read-write | Full pathname of the album.
Name | String | read-only | Base filename of the album.
Saved | Boolean | read-write | True if the album doesn't need saving.
dateCreated | Date | read-write | Creation date of the album.
dateLastSaved | Date | read-write | Last modification date of the album.
sAlbumTitle | String | read-write | The title of the album.
sAlbumComment | String | read-write | The comment of the album.
sAlbumCopyright | String | read-write | The copyright or information text of the album.
nbPicture | Long | read-only | Total number of pictures in the album.
nbSelectedPicture | Long | read-write | Number of selected pictures in the album. Setting this property to zero will clear the entire selection and setting it to -1 will select all the pictures of the album.
nbFlaggedPicture | Long | read-write | Number of flagged pictures in the album. Setting this property to zero will clear all the flags and setting it to -1 will put a flag on all the pictures of the album.
nbVisiblePicture | Long | read-only | Number of pictures present in the current window.
nCurrentPicture | Long | read-write | Logical number of the current picture.
nbKeyword | Long | read-only | Number of keywords in the album.
nbCustomField | Long | read-only | Number of custom fields in the album.
nDisplayMode | Long | read-write | Display mode and status for the album (see below).
sDSThumbnail | String | read-write | Display string used for the thumbnail text.
sDSFullScreen | String | read-write | Display string used for the comment in full-screen mode.
sDSToolTip | String | read-write | Display string used for the thumbnails tool tips.
sDSFullComment | String | read-write | Display string used for the full comment window.
sDSPictureInfo | String | read-write | Display string used for the picture info (right of the Info button).
bDisplayComment | Boolean | read-write | Display or hide the comment during full-screen mode.
sPlayCmd | String | read-write | Background music command for the album.
bRandomMode | Boolean | read-write | Set or clear the random mode for the slideshow.
nDelaySlideshow | Long | read-write | Delay in tenths of second in automatic slideshow.
bSilent | Boolean | read-write | Disable or enable the background music during slideshow.
nActiveTab | Long | read-write | The keyword id of the active tab (0 for none).
lCommentFlags | Long | read-write | Flags for displaying the picture comment in full-screen mode (see below).
sICMInfo | String | read-write | ICM info for the album (string: "G:gamma_value").
nSlideSize | Long | read-write | Size of the slides in pixel.
nThumbSize | Long | read-write | Base thumbnail size in pixel.
nMarginSize | Long | read-write | Spacing between the slides in pixel.
nCropMode | Long | read-write | Current cropping mode (see below).
nStretchMode | Long | read-write | Mode used for resizing the pictures for display (see Resizing modes below). Not used when DirectDraw mode is selected.
sDateFormat | String | read-write | Format for displaying the Custom Fields of type Date.
sTimeFormat | String | read-write | Format for displaying the Custom Fields of type Time.

Methods:

Close(bNoPrompt As Boolean) As Boolean
Close the album.

Save() As Boolean
Save the album.

SaveAs(sFileName As String) As Boolean
Save the album under a new name.

AddPicture(pszPictureFile As String) As Object
Add a new picture to the album.

Activate()
Activate the first window associated with the album.

GetPicture(numPic As Long) As Object
Retrieve a picture in the album (first is 0) using absolute number.

GetVisiblePicture(numPic As Long) As Object
Retrieve a picture in the current window (first is 0) using logical number.

GetPictureByFileName(sFileName As String) As Object
Retrieve a picture by its filename (without path).

DeletePicture(pic As Object) As Boolean
Remove the specified picture from the album.

MovePicture(pic As Object, newPos As Long, bAfter As Boolean) As Boolean
Move a picture in an album. newPos is an absolute picture position.

RemoveOrphans() As Long
Remove the thumbnails that point to file that no longer exist.

Paste(sFileName As String) As Boolean
Paste the image from the Windows clipboard in the current album and save it in the specified file. The new picture is added at the end of the album.

PrintOut(nFrom As Integer, nTo As Integer) As Boolean
Print the album (pages nFrom to nTo).

PrintPreview() As Boolean
Displays the album on the screen, as it would appear printed.

AddKeyword(pszName As String) As Object
Add a new keyword to the album.

AddCustomField(pszName As String, nType As Integer) As Object
Add a new custom field to the album.

GetKeyword(numKW As Long) As Object
Retrieve a keyword (first is 0).

GetCustomField(numCF As Long) As Object
Retrieve a custom field (first is 0).

DeleteKeyword(Keyword As Object) As Boolean
Delete the specified keyword.

DeleteCustomField(CustomField As Object) As Boolean
Delete the specified custom field.

DisplayPicture(nMode As Long) As Boolean
Display the current picture using the specified mode:
- DP_CURRENT (0): just display the current picture
- DP_SLIDESHOW (1): start a manual slideshow
- DP_AUTOSS (2): start an automatic slideshow

CloseDisplay() As Boolean
Close a slideshow or a full screen display.

ExpandMacro(pic As Object, pszMacro As String) As String Construct a display string.

ReDraw()
Refresh the display of the album.

SetFSDisplayMode(nMode As Long, bReset As Boolean) As Boolean Set the current full-screen mode.

CvtNumPic(numPic As long, bLog2Abs as Boolean) Convert between logical and absolute picture numbers.

NewPicture(w As Long, h As Long, bpp As Integer, crBack As Long) As Object
Creates a new temporary empty picture with a colored background. bpp is the color depth and should be set to 16, 24 or 32. The picture is added to the album at the end.

ReDrawFullScreen()
Redraws the full-screen display:

xmlDecodePicture(xmlString as String, sTargetFolder as String ) As Object
Add a new picture to the album and initialize it with the xml stream contained in the xmlString string. The picture is then saved in the sTargetFolder folder.

SetMacroValue(pic as Object, sMacro as String, sValue as String ) As Bool
Modify an object property via a Display String. Only mutable Display String can be used with this method. The pic parameter can be Null for modifying album-level properties.

Constants :

Display modes:

This is a 32 bit value containing various information:

Bit 0 to 7: |  | Default full-screen mode:
DM_NORMAL | 0 | Mode is normal (no zoom).
DM_FITIMAGE | 1 | Pictures are resized to fit the screen.
DM_ZOOM2 | 2 | Pictures are zoomed by 2.
DM_ZOOM3 | 3 | Pictures are zoomed by 3.
DM_ZOOM05 | 4 | Pictures are displayed half size.
DM_SMART | 5 | Smart mode.
DM_SHRINK | 6 | Pictures larger than the screen are resized.
DM_ENLARGE | 7 | Picture smaller than the screen are resized.
DM_FITHORZ | 8 | Adjust the picture to the height of the screen.
DM_FITVERT | 9 | Adjust the picture to the width of the screen.
DM_SIMPLEDRAW | 10 | Pictures are displayed with no zoom.
DM_NOCOMMENT | 0x00010000 | Picture comments are not displayed.
DM_USEVIEWERFLAGS | 0x00020000 | MyAlbum will use the viewer flags.
DM_HIDENAVBAR | 0x00040000 | Viewer: do not display the navigation bar.
DM_USEDIRECTSHOWFORVIDEOS | 0x00080000 | Use DirectShow for playing videos.
DM_RELPATH | 0x00100000 | Album uses relative paths.
DM_HIDEPIC | 0x00200000 | Hidden picture are really hidden.
DM_AUTOFLIP | 0x00400000 | Slideshow is automatic.
DM_COMPRESSEDTH | 0x00800000 | Thumbnails are compressed in the alb file.
DM_USEDIRECTDRAW | 0x01000000 | Full screen display uses DirectDraw.
DM_SORTEDKW | 0x02000000 | The keywords are sorted.
DM_AUTOSTART | 0x04000000 | Viewer: album will start in slideshow mode.
DM_AUTOCLOSE | 0x08000000 | Viewer: viewer will close when exiting slideshow.
DM_RUNONCE | 0x10000000 | Viewer: slideshow will end after the last picture.
DM_NOCOPYPIC | 0x20000000 | Viewer: picture copy is not allowed.
DM_MONITORFOLDER | 0x40000000 | MyAlbum will automaticlly add new pictures from the last used folder.

Cropping modes :

CropMode_None | 0 | No cropping done on pictures.
CropMode_Track | 1 | Definition of the cropping rectangles.
CropMode_Crop | 2 | Cropping rectangles used when displaying pictures.

Comment Flags:

This is a 32 bit value containing various information:

FSC_TRANSPARENT | 0x0001 | Comment is transparent
FSC_SHADOWED | 0x0002 | Comment has a shadow
Bits 9 to 15: |  | Comment position:
FSC_POSLB | 0x0000 | Left, bottom
FSC_POSLC | 0x0100 | Left, center
FSC_POSLT | 0x0200 | Left, top
FSC_POSCT | 0x0300 | Center, top
FSC_POSRT | 0x0400 | Right, top
FSC_POSRC | 0x0500 | Right, center
FSC_POSRB | 0x0600 | Right, bottom
FSC_POBC | 0x0700 | Bottom, center
FSC_POSCC | 0x0800 | Screen center.

Resizing modes

BLACKONWHITE | 1 | For monochrome bitmaps, this mode preserves black pixels at the expense of white pixels.
WHITEONBLACK | 2 | For monochrome bitmaps, this mode preserves white pixels at the expense of black pixels.
COLORONCOLOR | 3 | This mode deletes all eliminated lines of pixels without trying to preserve their information.
HALFTONE | 4 | Maps pixels from the source picture into blocks of pixels in the destination picture. The average color over the destination block of pixels approximates the color of the source pixels (slower but better results).


The Picture scriptable object

The Picture object

The Picture object is used to represent a picture in an album.

Properties:

sFileName | String | read-write | Full pathname of the picture.
sShortFileName | String | read-only | Base filename of the picture.
sComment | String | read-write | The full comment of the picture.
sCommentFirstLine | String | read-only | The first line of comment of the picture.
dwFileSize | Long | read-write | Size of the file containing the picture.
lFileTime | Long | read-write | Date and time of the picture file.
w | Long | read-write | Width of the picture in pixels.
h | Long | read-write | Height of the picture in pixels.
bpp | Long | read-write | Color depth of the picture.
sURL | String | read-write | URL associated to the picture.
sPlayCmd | String | read-write | Background music command for the picture.
bSelected | Boolean | read-write | Selection state of the picture.
lStatus | Long | read-write | Status of the picture.
nbKeyword | Long | read-only | Number of keywords attached to this picture.
nbCustomField | Long | read-only | Number of custom fields defined for this picture.
Album | Object | read-only | The album the picture belongs to.
num | Long | read-only | Position (0 based) of the picture in the album.
next | Object | read-only | Next picture in the album.
prev | Object | read-only | Previous picture in the album.
nPicDataCount | Long | read-only | Number of picture data blocks.
lDisplayMode | Long | read-write | Picture level display mode.
lTransition | Long | read-write | Type of transition (hi-word) and delay in 1/10s (lo-word).
rcCrop | Object | read-write | Cropping rectangle (rect object).
nRotation | Long | read-write | Picture rotation (reserved).

Methods:

HasKeyword(pszKW As String) As Boolean
Test if the picture has the given keyword.

SetKeyword(pszKW As String, bSet As Boolean) As Boolean
Set or clear the specified keyword for the picture.

GetCustomField(pszCF As String) As String
Get the value of the specified custom field. This method can be used whatever the type of the custom field.

GetCustomFieldDate(pszCF As String) As Long
Get the time value (time_t) of the specified custom field. This method can only be used with date or time custom fields.

SetCustomField(pszCF As String, pszValue As String)
Set the string value of the specified custom field. This method can only used with string custom fields.

SetCustomFieldDate(pszCF As String, lDateTime As Long)
Set the time value of the specified custom field. This method can only be used with date or time custom fields.

SaveThumbnail(sNewFile As String, nFileType As Long) As Boolean Save the thumbnail of the picture in a file.

ConvertAndResize(sNewFile As String, nFileType As Long, nNewWidth As Long, nNewHeight As Long) As Boolean
Convert and/or resize the picture and save it to a new file. Set nNewWidth and nNewHeight to zero to keep the same dimensions.

ConvertAndResize2(sNewFile As String, nFileType As Long, nNewWidth As Long, nNewHeight As Long, nResizeMode as Long, crBack as Long, nAngle as Long) As Boolean
Extended version of ConvertAndResize. If nResizeMode = RM_BOUNDINGRECT (0), the specified size is the maximal size of the picture (preserving the aspect ratio), if nResizeMode = RM_EXACTSIZE (1) a border filled with the crBack color is added to match the specified size, if nResizeMode = RM_STRETCH (2) the picture is freely resized to the specified size (aspect ration non preserved). Rotation (angle must be 0, 90, 180 or 270) and cropping are available.

Resize(nNewWidth As Long, nNewHeight As Long, nResizeMode as Long, crBack as Long, nAngle as Long) As Boolean
Same as ConvertAndResize2 but the modified picture is not saved to a file and reside only in memory.

SetCropRect (l As Long, t As Long, r As Long, b as Long)
Set the cropping rectangle (left, top, right, bottom) used by ConvertAndResize2 and the display cropping. Set all coordinates to zero to cancel cropping. Cropping rectangle can also be accessed with the rcCrop property.

UpdateThumbnail(bForce As Boolean) As Boolean
Update the thumbnail if the picture has changed or update it anyway if bForce is True.

Copy(nPic As Long) As Boolean
Copy the picture to the clipboard (nPic=-1, copy the thumbnail, nPic=0..n, copy the picture or one of the sub-pictures).

CopyRect(left As Long, top As Long, right As Long, bottom As Long, nPic As Long) As Boolean
Copy a rectangle from the picture to the clipboard. Coordinates are from the upper left corner of the picture. The nPic parameter is unused and must be zero.

PasteToThumbnail(bResize As Boolean) As Boolean
Replace the thumbnail with the bitmap content of the clipboard. If bResize is True, the bitmap is resized to match the album thumbnail size.

SetTextStampInfo(sText As String, sFont As String, crColor As Long, xPos As Long, yPos As Long) As Boolean Set the stamping information (text) for the ConvertAndResize method.

SetPictureStampInfo(sPicFile As String, xPos As Long, yPos As Long) As Boolean
Set the stamping information (bitmap) for the ConvertAndResize method.

Paste(xPos As Long, yPos As Long) As Boolean
Paste the bitmap from the clipboard to the picture at the specified position.

DrawText(sString As String, rect As Object, sFont As String, crColor As Long, crBkColor As Long, nFormat As Long) As Long
Draw a text on the picture. rect is the bounding text and must be a MyAlbum.rect object. Set crBkColor to -1 for a transparent background. For the nFormat use the DT_xxx constants of the DrawText Windows API.

DrawLine(x1 As Long, y1 As Long, x2 As Long, y2 As Long, nWidth as Long nStyle As Long, crColor As Long) As Long
Draw a line on the picture. nWidth specifies the style: 0 for solid, 1 for dashed.

DrawRectangle(rect As Object, nWidth As Long, crFrameColor As Long, crFillColor As Long, bStyle As Long, wE As Long, hE As Long) As Boolean
Draw a rectangle (nStyle=DRAWRECT_RECT (0)), a rounded rectangle (nStyle= DRAWRECT_ROUNDRECT (1)) or an ellipse (nStyle= DRAWRECT_ELLIPSE (2)) on the picture. rect specifies the size of the drawing and must be a MyAlbum.MyRect object. You can specify a border with a width (nWidth) and a color (crFrameColor or -1 for an unfilled drawing).

GetPixel(x As Integer, y As Integer) As Long
Gets the color of the pixel at coordinates x and y. 0,0 is the upper-left corner of the picture. The returned value is coded in RGB (one byte for each color). –1 is returned if an error occurs (the picture must be a 8, 16, 24 or 32 bit per pixel bitmap).

SetPixel(x As Integer, y As Integer, color As Long)
Sets the color of the pixel at coordinates x and y. 0,0 is the upper-left corner of the picture. The color parameter is coded in RGB (one byte for each color). The picture must be a 16, 24 or 32 bit per pixel bitmap.

Mirror() As Boolean
Mirror the image (left <--> right).

Flip() As Boolean
Flip the image (top <--> bottom).

GetPicDataType(iPicData As Long) As Long
Get the type of a picture data block.

GetPicDataSize(iPicData As Long) As Long
Get the size of a picture data block.

SavePicData(iPicData As Long, sFile As String) As Boolean
Save a picture block in a file.

Load(bLoad As Boolean) As Boolean
Load (or unload) the picture in memory.

Save( sNewFile as String, bReplaceInAlbum As Boolean) As Boolean
Save the loaded picture to a new file (using its current state in memory). Set the bReplaceInAlbum to True to have the new filename used in the current album instead of the current picture filename.
Caution: Specifying the name of an existing file will overwrite it.

xmlEncode(nType as long, [optional] uFlags as Long) As String
Encode the picture as a XML string. nType is reserved and must be 0.
By default external files (the picture file and the files referenced by the Play Command) are included in the xml stream.
Optional parameter: uFlags = XML_Default.

SetAsWallpaper(bUseCropRect as Boolean) As Boolean
Set the picture as the desktop wallpaper. Set bUseCropRect to True to use only the part of the picture defined by its cropping rectangle.

MakeAnaglyph(picLeft As Object, picRight As Object, nAnaType As Short, dx As Short, dy As Short) As Boolean
Compute a 3D picture from two pictures. Use the T3D_... constants (see below) for the nAnaType parameter. The dx and dy parameters are used to specify the offset of the right picture.

Constants:

Picture status:

This is a 32 bit value containing various information:

Bit 0 to 7 | Picture type:
TYPE_NONE | 0 | Unknown
TYPE_BMP | 1 | BMP
TYPE_JPEG | 2 | JPEG
TYPE_GIF | 3 | GIF
TYPE_PNG | 4 | PNG
TYPE_PCX | 5 | PCX
TYPE_TIFF | 6 | TIFF
TYPE_TGA | 7 | TGA
TYPE_WMF | 8 | WMF/EMF
 | 10 - 11 | reserved
TYPE_VBS | 12 | VBS script
TYPE_JS | 13 | JS script
TYPE_WAVE | 14 | WAV
TYPE_MIDI | 15 | MIDI
TYPE_JPEGGIF | 16 | JPEG/GIF
TYPE_JPEGPNG | 17 | JPEG/PNG
TYPE_HTML | 20 | HTML
TYPE_MP3 | 21 | MP3
TYPE_ALB | 30 | Album
TYPE_VID | 31 | Video
Bit 8 | STATE_NEW | Picture is new in album.
Bit 9 | STATE_HIDDEN | Picture is hidden.
Bit 10 | STATE_MULTI | Picture has sub-picture (animated GIF or TIFF).
Bit 11 | STATE_METAFILE | Picture is a Metafile.
Bit 12 | STATE_VIDEO | Picture is a video.
Bit 16 | STATE_MARKED | Picture is marked (internal use).
Bit 17 | STATE_FLAGGED | Picture is flagged (little red X).

XML Export/Import options:

This is a 32 bit value containing the following information:

XML_Default | 0 | Default behaviour.
XML_NoFiles | 1 | Export: Do not include the external files in the xml stream.
XML_FullPathName | 2 | Export: Store the full pathname of the external files in the the xml stream.

MakeAnaglyph constants:

T3D_AnaRedGreen | 0 | B&W anaglyph to be used with Red and Green glasses.
T3D_AnaRedBlue | 1 | B&W anaglyph to be used with Red and Blue glasses.
T3D_AnaRedCyan | 5 | B&W anaglyph to be used with Red and Cyan glasses.
T3D_AnaColor | 2 | Pseudo-color anaglyph to be used with Red and Cyan glasses.
T3D_InterlaceL | 3 | Produce an interlaced image (left picture first) to be used with LCD glasses.
T3D_InterlaceR | 4 | Produce an interlace image (right picture first) to be used with LCD glasses.


The Keyword scriptable object

The Keyword object

The keyword object is used to represent the definition of a keyword or a custom field.

Properties:

sName | String | read-write | Name of the keyword.
nKeyID | Short | read-write | Internal identifier of the keyword.
nType | Short | read-write | Type of the custom field.
bIsTab | Boolean | read-write | Is the keyword a tab ? (keyword only)
bSelected | Boolean | read-write | Is the keyword selected ? (internal use for Find command)
sListValues | String | read-write | List of values (separated by CR-LF) for the List Custom Fields (custom field only)

Constants:

Custom field types:

CF_STRING | 0 | Text
CF_DATE | 1 | Date
CF_TIME | 2 | Time
CF_LIST | 6 | List


The FullScreenView scriptable object

The FullScreenView object

The FullScreenView object is used to represent the view used to display the pictures in full-screen mode.

Properties:

xPos | Long | read-write | x position of the view from the top left corner of the screen (generally 0).
yPos | Long | read-write | y position of the view from the top left corner of the screen (generally 0).
w | Long | read-write | width of the view.
h | Long | read-write | height of the view.
pic | Object | read only | The picture currently displayed.
xOrg | Long | read-write | The horizontal offset of the picture on the screen.
yOrg | Long | read-write | The vertical offset of the picture on the screen.
zoomMultiplier | Long | read-write | The zoom multiplier factor.
zoomDivisor | Long | read-write | The zoom divisor factor (zoom = zoomMultiplier / zoomDivisor).
hWnd | Long | read only | The HWND handle of the full-screen view.

Methods:

ModifySlideShowMode(lMode As Long, bSetOrClear As Bool) As Long
Alter the full screen mode (use the SS_xxx constants)

StopAllSounds(bIncludingCurrentPicture As Bool)
Stops all the currently playing and pending sounds.
Can be useful in a Play Command block to stop all sounds and start a new one (set the bIncludingCurrentPicture parameter to False).
Example:
      script|app.GetFullScreenView().StopAllSounds(False)|-|2
      media|D:\Musik\NewMusicFile.mp3
      *C

MoveImage (nCmd As Long, bCorners As Bool)
Validate picture position and redraw the full-screen view accordingly.
Use the virtual key codes VK_xxx for the nCmd parameter. Set bCorners to True to move the picture corners (with VK_HOME, VK_END, VK_PRIOR and VK_NEXT).


The MyAlbumXtension scriptable object

The MyAlbumXtension object

The MyAlbumXtension object is used to represent a loaded MAX extension DLL.

Properties:

Name | String | read-only | Name of the MAX.
nType | Long | read-only | Type of the MAX.
nState | Long | read-only | State of the MAX.

Methods:

Execute(sCmd As String) As Boolean
Asks the MAX to execute the specified command (MAX dependent).

GetResult() As String
Retrieves the result (string) from the last execution.

Setup() As Long
Displays the MAX setup dialog box (if any).

Constants:

MAX types: (can be combined)

MAX_POSTLOAD | 1 | MAX is launch after picture is first loaded.
MAX_PRELOAD | 2 | MAX is launch before picture is first loaded.
MAX_RUNABLE | 4 | MAX can be launched at any time (Execute method is defined).

MAX states:

MAX_IDLE | 0 | MAX is not running.
MAX_RUNNING | 1 | MAX is running.


The rect scriptable object

The rect object

The rect object is used to represent a simple rectangle used for instance in the DrawRectangle method.
All values are in pixels.

Properties:

x | Long | read-write | Horizontal position of the rectangle (upper-left corner).
y | Long | read-write | Vertical position of the rectangle (upper-left corner).
w | Long | read-write | Width of the rectangle.
h | Long | read-write | Height of the rectangle.


MyAlbum command line parameters

Command line parameters

This is a description of the command line parameters that can be used with MyAlbum.

MyAlbum.exe album.alb
Will launch MyAlbum and load the specified album.

MyAlbum.exe album.alb /play
Will launch MyAlbum, load the specified album and start a sequential slideshow.

MyAlbum.exe album.alb /playrnd
Will launch MyAlbum, load the specified album and start a random slideshow.

MyAlbum.exe album.alb /script myscript.vbs
Will launch MyAlbum, load the specified script and run it (if no album is needed, use null instead).

MyAlbum.exe /loadlastalbum
Will launch MyAlbum and load the most recently used album (the one with the 1 shortcut in the File menu).

Other parameters:

/auto
Starts an automatic slideshow.

/multi [i]
Use multi-mode for the slide show. With i = 1 for sequential, 2 for random and 3 for floating.

/tab i
Selects the tab which index is i.

/maxwnd
Starts MyAlbum with its main window maximized (occupying all the screen).

Standard parameters:

/p album.alb
Print album to default printer.

/pt album.alb printer driver port
Print album to the specified printer

/Unregister or /Unregserver
Unregister the application

/dde
Start up and await DDE command

/Embedding
Start up to edit an embedded OLE item (unsupported)

/Automation
Start up as an OLE automation server


Play command syntax

Play commands are used to define the music file that will be played in background when an album or a picture is displayed.

Play commands can be attached to a single picture or to an album:

  • Album level: the command is played when a slideshow is started (not when viewing individual pictures).
  • Picture level: the command is played when the corresponding picture is displayed.

The general format of a play command is (caution, no spaces before or after the vertical bars!):

Basic syntax (one line):
    type|file|flags|parameters

Extended syntax (several lines):
    type|file|-|parameters
    type|file|-|parameters
    type|file|-|parameters
    ...
    *flags (optional)

With:
type | One of the following keyword
 | wav | Audio file (*.wav).
 | mid | Midi file (*.mid or *.rmi).
 | cda | CD Audio.
 | script | Script file (*.vbs or *.js).
 | media | Windows Media Player file (*.wav, *.mp3, *.mpg,...).
 | fpxr | Embedded sound in a JPEG file (FlashPix extension in a APP2 marker).
 | sync | Wait for previously started sound(s) to end (picture level only).
file | The file containing the media to play (this pathname must not include spaces for wav and mid types)
flags | One or more of the following uppercase characters:
 | C | Continuous play (picture music only): do not stop when the displayed picture changes.
 | R | Repeat (play in loop).
 | W | Slideshow: wait for the music to stop before going to the next picture.
 | S | Slideshow: stop all playing sounds before playing this one.
 | V | Script: display script console.
 | I | Immediate: play before displaying the picture.
parameters | Device dependent parameters

Some fields are optional and can be omitted. Empty fields are represented by the '-' character.

Examples:

wav|D:\TMP\Thunder.wav
Plays the specified audio file.

mid|D:\Musique\021.MID|CR
Plays the specified MIDI file and do not stop playing when picture changes and plays again when finished.

cda|-|-|from 2 to 3
Play track 2 and 3 from the current CD Audio (note the two empty '-' fields).

script|msgBox "MyAlbum is good for you !"|-|2
Run the VBScript (2) code without showing the script console. The script shows a simple message box.
Use the following values for the parameters field: 1: script file, 2: VBScript code, 3: JavaScript code (and 100+i for installed script engine #I).

script|App.GetFullScreenView.ModifySlideShowMode SS_AUTO, False|-|2
media|somemusicfile.mp3
*C
Run the VBScript (2) code to pause the slideshow and start playing the music. This can be used with a HTML index page waiting for a user selection.

media|C:\MP3 Music\Bob\Burnin' and Lootin'.mp3
Plays the specified mp3 file using Windows Media Player.

fpxr
Plays the embedded wav file.


Macros used in display strings

Please note that the macro code is case sensitive.

Album

Name | Code | Mutable ? | Meaning
Album file | AF | * | Filename of the album
Album pathname | AP |  | Full pathname of the album file with drive and directory
Album folder | Af |  | Full pathname of the folder of the album file with drive and directory
Album title | AN | * | The title of the album
Album comment | AC | * | The comment of the album
Created | Ac | (*) | The date and time the album was created
Modified | Am |  | The date and time the album was last modified
Picture count | A# |  | The number of pictures in the album
Visible picture count | a# |  | The number of visible pictures (not marked as hidden) in the album
Displayed picture count | V# |  | The number of pictures displayed in the active view
Selected picture count | AS | * | The number of selected pictures in the album
File version | AV |  | The version of the album
MyAlbum version | MV |  | The version of the running MyAlbum application
Current page | PC |  | Current page number (only when printing an album)
Page count | PN |  | Total number of pages (only when printing an album)
Active tab | AT | * | The tab currently active (empty string if none selected)
Keywords | AK |  | List of the defined keywords separated by commas
Play command | Ap | * | The album's play command
Display mode | At | * | Display mode of the album (hexadecimal value)

Picture filename

Name | Code | Mutable ? | Meaning
Full pathname | FP | * | Full pathname of the picture with drive and directory
Relative pathname | RP |  | Full relative pathname of the picture with drive and directory
Simple filename | FN |  | Just the name of the file with its extension
Filename w/o extension | BF |  | The name of the file without extension
Filename extension | FE |  | The extension of the file
Filename extension | Fe |  | The extension of the file in lowercase
File size | FS | * | The size of the file in byte
File size (KB) | FK |  | The size of the file in kilobyte (1024 bytes)
File date & time | FD | * | The date and time the file was last modified

Picture

Name | Code | Mutable ? | Meaning
Number in album | P# |  | The position of the picture in the current album (starting at 1)
Number in view | p# |  | The position of the picture in the current view (starting at 1)
Full comment | FC | * | The full comment associated to the picture
Comment first line | 1C |  | Only the first line of the comment associated to the picture
Size | PS |  | A synthetic display of the picture size (width x height, color depth and number of sub-images)
Width | PW | * | Width of the picture in pixel
Height | PH | * | Height of the picture in pixel
Bit per pixel | PB | * | Number of bit per pixel in the picture (color depth). For videos: duration in seconds
Sub-pictures | PF |  | Number of sub-picture (frames in an animated GIF for instance). The value is 0 outside full screen mode.
URL | PU | * | URL defined for the picture
Play command | Pp | * | The picture's play command
Selection | Ps | * | Selection state of the picture (0 or 1)
Status | PT | * | Status value of the picture
Status (hexa) | Pt |  | Status value of the picture in hexadecimal
Keywords | PK |  | List of the keywords defined for the picture separated by commas
Keywords | Pk |  | List of the keywords defined for the picture separated by commas and spaces
Thumbnail width | Pw |  | Width of the thumbnail in pixel
Thumbnail height | Ph |  | Height of the thumbnail in pixel
Thumbnail bit per pixel | Pb |  | Number of bit per pixel in the thumbnail (color depth).
Picture display mode | PD | (*) | reserved
Picture delay | Pd | * | Time the pictures is displayed in 1/10 s (-1 for using album default).
Picture transition type | Py | * | reserved
Cropping rectangle | RC | * | Position and size of the cropping rectangle: X,Y WxH
Cropping rectangle | Rc | * | Position and size of the cropping rectangle: X,Y,W,H

Custom fields

Name | Code | Mutable ? | Meaning
Name of the custom field | Cn | * | The value of the custom field for the current picture. n is the identification number of the custom field (1 to 9 then A to Z)
Name of the custom field | cn |  | The name of the specified custom field.

Miscellaneous

Name | Code | Mutable ? | Meaning
Current folder | TF | * | The complete path of the current folder.
Zoom level | ZL |  | The current zoom level (in full screen mode).
Graphic mode | FX |  | Display technology used: DirectX or GDI (in full screen mode).
Trim left | TL |  | Remove the leading spaces from the generated display string
Trim right | TR |  | Remove the trailing spaces from the generated display string
Trim right | Tr |  | Remove the trailing spaces and line breaks from the generated display string
Left | LE |  | Extracts the left part of a string. Syntax: %LE[String, Number of characters to extract]
Left | RI |  | Extracts the right part of a string. Syntax: %RI[String, Number of characters to extract]
Length | LN |  | Returns the number of characters of a string. Syntax: %LN[String]
Lowercase | ML |  | Converts all the characters in the string to lowercase characters. Syntax: %ML[String]
Uppercase | MU |  | Converts all the characters in the string to uppercase characters. Syntax: %MU[String]
Script function | SF | * | Call a script function to generate a part of the display string. Syntax: %SF[ScriptFile, ScriptFunction] The ScriptFunction function will be called with the following parameters: - zAlb: a reference to the current album (an "Album" object), - zPic: a reference to the current picture (a "Picture" object), - zInfo: an integer value (0: read mode, 1: write mode). The function must return the information to be inserted in the display string (it can be a string, an integer, a floating point value, a boolean or a date). Note: loading and executing a script function can be slow, this macro should be used for Display Strings used for printing and HTML generation rather than screen display.
Rename counter | KP |  | Value of the rename counter (to be used in the Batch Rename dialog box).
Fullscreen width | SW | * | Width in pixel of the full-screen view.
Fullscreen height | SH | * | Height in pixel of the full-screen view.

Special macros:

%% | displays a single percent sign.
%| | a line break.


MyAlbum album file format

Technical Reference - File format

This is a description of the MyAlbum album files (.alb) version 1.20

Album header

Offset | Size | Description
0 | Char x 4 | File signature ("MALB" string)
4 | Long | File version
8 | String | Album name
 | String | Album comment
n | Date | Date the album was last saved
n+4 | Date | Date the album was created
n+8 | Long | Thumbnail size in pixel
n+12 | Long | Slide size in pixel
n+16 | Long | Margin size in pixel (slide spacing)
n+20 | Long | Display mode
n+24 | Long | Slideshow delay tenths of second
n+28 | Font | Thumbnail font
 | Font | Full-screen display comment font
 | Font | Font used for the keywords-tabs
 | Color | Color used for the background in full-screen mode
 | Color | Color used for the comment background
 | Color | Color used for the comment text
 | Color | Color used for the full comment background
 | Color | Color used for the full comment text
 | Boolean | Comment flags Is the comment font transparent (no background)
 | String | Display string for the thumbnail text
 | String | Display string for the full-screen comment
 | String | Display string for the full-screen full-comment
 | String | Last folder used for adding pictures to the album
 | String | Display string for the picture Quick Info
 | String | Album copyright or information text
 | String | Reserved
 | Long | Crop mode
 | Long | Reserved
 | Long | Reserved
 | String | Play command for the album
 | String | Display string for the tool tip
 | String | reserved
 | Long | Number of keywords
 |  | Keyword block:
 | String | Keyword name
 | Short | Keyword internal id
 | Long | Keyword status (see the KWS_xxx constants)
 | String | Keyword comment
 | String | Keyword dynamical expression
 | Long | Keyword color (reserved)
 | Short | Parent keyword id (0: top-level keyword)
 | ..... | next keywords
 | Long | Number of custom fields
 |  | Custom Field block:
 | String | Custom field name
 | Short | Custom field internal id
 | Short | Custom field type (0:string, 1:date, 2:time, 6:list)
 | Long | Custom field (see the KWS_xxx constants)
 | String | Custom field comment
 | String | Custom field dynamical expression (reserved)
 | Long | Custom field color (reserved)
 | Short | Number of items in the list (used only if type=6, 0 otherwise)
 | String | If type=6, strings of the list items (x count in the previous field)
 | .... | next custom fields
 | Long | Number of pictures
 | .... | picture blocks
 | Long | Number of columns in the List View And for each of the columns:
 | Long | Width of the column (unused)
 | String | Header of the column
 | String | Display String of the column
 | String | Write Display String of the column
 | Long | Status of the column
 | String | Export: output folder
 | Long | Export: number of sub-folder to take into account
 | Long | Export: page size in thumbnails (width)
 | Long | Export: page size in thumbnails (height)
 | Long | Export: page spacing
 | Long | Export: file type of the exported thumbnails (use TYPE_xxx constants)
 | Long | Export: prefix or suffix the name of the exported thumbnails (use TYPE_xxx constants)
 | String | Export: string to add to the name of the exported thumbnails
 | Color | Export: background color
 | Color | Export: text color
 | String | Export: Display String of the page title
 | String | Export: Display String of the page subtitle
 | String | Export: Display String of the picture filename
 | String | Export: Display String of the picture comment
 | String | Export: Display String of the picture tooltip
 | String | Export: Display String of the page footer
 | Long | Export: flags for using or not the above Display Strings
 | String | Convert & resize: output folder

Picture block

Offset | Size | Description
0 | Long | Picture status
4 | String | Full pathname of the picture
 | Long | Position in the above string of the base filename
 | Long | Size of the file containing the picture in bytes
 | Date | Date the picture was last modified
 | String | Full comment of the picture
 | String | URL associated to the picture
 | String | Play command for background music
 | Long | Width of the picture in pixel
 | Long | Height of the picture in pixel
 | Long | Color depth of the picture (number of bits per pixel)
 | Long | Reserved
 | Long | Reserved
 | Long | Size in bytes of the thumbnail image
 | Long | Size in bytes of the compressed thumbnail image (for compressed album)
 | Byte x n | Thumbnail image (n is either the uncompressed or the compressed size).
 | Long | Number of keywords attached to the picture
 | Short x n | List of the id of the attached keywords
 | Long | Number of custom fields defined for this picture
 | Short | Custom field id
 | Short | Custom field type
 | String | If type is string, value of the custom field
 | Date | If type is date or time, date or time value of the custom field
 | .... | next custom field value
 | Rectangle | Cropping rectangle
 | Long | Rotation (reserved for future use)

Data type used

Simple types

Char: A single byte

Short: A double byte value

Long: A four byte value

String: String prefixed by its length (if length <255, length is coded with a single byte, if < 0xfffe, length is 3 byte long: a 0xff byte followed by the length itself coded as a short; otherwise, length is 7 byte long, 3 0xff bytes followed by the length itself coded as a long).

Struct type

Font

Offset | Size | Description
0 | Long | Height of the font
4 | Long | Font weight (400 is normal, 700 is bold)
8 | Char | Specifies an italic font if set to TRUE
9 | Char | Specifies an underlined font if set to TRUE
10 | Char | Specifies a strikeout font if set to TRUE
11 | String | Typeface name of the font

Color

Offset | Size | Description
0 | Char | Intensity value for the red component
1 | Char | Intensity value for the green component
2 | Char | Intensity value for the blue component
3 | Char | Reserved (0)


.Topic 1259
Type in this field the name of script to run when the custom command is launched.

.Topic 1315
Click this button to select the static picture that will be used for this picture area.

.Topic 1038
Select this option to build a simple HTML file with the list of the pictures.

.Topic 1039
Select this option to build a set of HTML files showing the thumbnails of the pictures.
Note: To use this option, you should save the thumbnails first.

.Topic 1042
Select this option to build a HTML file containing two frames: A narrow one on the left is like a vertical film and the second is used to display the pictures.
Note: To use this option, you should save the thumbnails first.

.Topic 1228
Select this option to build a HTML file containing the list of the pictures with the pictures themselves in the page.

.Topic 1413
Enter in this field the number of rows the generated layout will have.

.Topic 1161
Click this button to select the HTML bullet file.

.Topic 1247
This list displays the macro pertaining to the current picture.

.Topic 1376
Click this button to remove the selected item from the list.

.Topic 1313
Type in this field the name of the bitmap to add to the converted pictures.

.Topic 1029
Name of the keyword to create or new name when renaming a keyword

.Topic 1379
Select this option to prepend (add at the beginning) the text to the thumbnails file name.

.Topic 1333
If checked, the mouse cursor will disappear after the specified delay during a slideshow.
Moving the mouse will show the cursor again.

.Topic 1030
Press this button to create a new keyword

.Topic 1222
Click this button to start the processing.

.Topic 1170
When checked, the filename of each picture will be listed in the HTML page or the contact sheet.

.Topic 1034
Size of a slide in pixels (should be larger than the thumbnail size)

.Topic 1307
Add a rubberstamp (superimposition) to the converted picture.

.Topic 1037
Select this option to export the current album as a simple list in a text file.

.Topic 1364
Click this button to update the selected column.

.Topic 1133
If checked, the slideshow will wait for videos to end before advancing to the next picture.

.Topic 1337
Use this spin button to select the joystick you want to use (if you have more than one joysticks connected).

.Topic 1054
Select this option to build a simple list of only the file names of the pictures.

.Topic 1453
Use this field to select the width of the pen use to draw the current shape. The value 0 will use the narrowest possible line.

.Topic 1028
List of the keywords that are defined in this album.

.Topic 1323
Click this button to access the online secure payment web site and support the MyAlbum project.
You must have an Internet access to use this feature.

.Topic 1179
Click this button to select the application that will be used for editing a picture.

.Topic 1446
Choose this option to let MyAlbum use all the monitors to display the pictures in full-screen mode.

.Topic 1109
Default size of a thumbnail in pixels (bounding rectangle)

.Topic 1387
Click this button to select the Display String used for picture info text (at the right of the Info button)..

.Topic 1110
Default size of a slide in pixels (should be larger than the thumbnail size)

.Topic 1456
Click this button to build the new name Display String.

.Topic 1292
Select this option to associate a JScript script to the custom tool command.

.Topic 1346
Select in this list the position on the screen where the comment will be displayed.

.Topic 1136
Press this button to select the text color of the comment.

.Topic 1055
This area displays the actual pathname of the current picture as it is stored in the album

.Topic 1008
Name of the album

.Topic 1171
When checked, the comment of each picture will be listed in the HTML page or the contact sheet.

.Topic 1207
Click this button to delete the selected custom field.

.Topic 1045
This field specifies the destination folder where the exported files will be created.
Please note that existing files in this folder may be overwritten.

.Topic 1381
Press this button to select the display string used for printing the thumbnail caption.

.Topic 1285
Click this button to remove the selected custom command.

.Topic 1060
Click this button to modify only the pictures that have the same pathname

.Topic 1005
Display the previous or the next picture

.Topic 1040
Select this option to build a detailed list: album information and for each picture, its name, comment, keywords and custom fields.

.Topic 1410
When checked, the texts are printed using a transparent background.

.Topic 1260
When checked, a tool-tip will be added to the displayed thumbnails. The specified display string will be used.

.Topic 1172
Click this button to select the font that will be used to write the album title in the contact sheets.

.Topic 1173
Click this button to select the font that will be used to write the comments in the contact sheets.

.Topic 1022
Search the album for pictures having the specified text in their comment

.Topic 1319
Click this open your Web browser on the MyAlbum home page.
You must have an Internet access to use this feature.

.Topic 1036
Specify in this field the name of the list file that will be generated.

.Topic 1332
Click this button to remove the selected file(s) from the list.

.Topic 1445
This field displays the number of monitors connected to the computer.
If it is 1, no settings are editable in this screen.

.Topic 1076
This area displays information about the operation being processed

.Topic 1447
Choose this option to instruct MyAlbum to use only the selected monitor when displaying pictures in full-screen mode.

.Topic 1113
Click this button to check if a new version of MyAlbum is avalaible.
You must have an Internet access to use this feature.

.Topic 1048
Select this option to export the current album as contact sheets bitmap files.

.Topic 1079
If unchecked, existing files in the target directory will be overwritten.
If checked these files will be preserved.

.Topic 1141
Checked if picture is flagged (small red X on the thumbnail).
Use this checkbox to put or remove the flag on the picture.

.Topic 1253
This edit window contains the script to be executed.
You can load a script with the Load button or edit the script directly.

.Topic 1430
Enter in this field the height of the selected area.
Dimensions are expressed in millimeters or inches depending on the measure system selected in Windows.

.Topic 1359
Use this field to define the title (header) of the column.

.Topic 1044
Size of the top margin in millimeters

.Topic 1329
Select this option to publish the selected pictures of the album and the HTML files generated when using the "Export Album" command.

.Topic 1336
Use this spin button to select the joystick you want to use (if you have more than one joysticks connected).

.Topic 1377
Click this button to rename the selected item in the list.

.Topic 1330
This list displays the files that will be published on the Web.

.Topic 1167
Select this option to include the whole comment of the picture.
If this comment is too long, it may be covered by the following pictures.

.Topic 1221
Select in this drop-down list the templates you want to use for automatically creating the custom fields for the new albums.

.Topic 1308
Position of the stamp from the left border (use negative values to specify a position relative to the right border).

.Topic 1309
Position of the stamp from the top border (use negative values to specify a position relative to the bottom border).

.Topic 1386
Check this option to used swapped sizes for resizing "portrait" pictures.
For instance a 768x1024 picture will be resized to 480x640 instead of 360x480.

.Topic 1162
When selected, MyAlbum will use a built in file for the HTML bullet image.

.Topic 1429
Enter in this field the width of the selected area.
Dimensions are expressed in millimeters or inches depending on the measure system selected in Windows.

.Topic 1199
When checked, an HTML client-side map is generated for each of the contact sheets.
The map is embedded in a HTML file.

.Topic 1294
This field displays the name and file name of the selected MAX.

.Topic 1104
Description of the album

.Topic 1268
When checked, the filename of the picture will be displayed using the specified display string.

.Topic 1046
Select this option to export the thumbnails of the current album in individual files.

.Topic 1083
When checked, the joystick (if present) will be used during a slideshow (default setting):
 - Pan the picture with the stick,
 - Button 1: Next picture,
 - Button 2: Previous picture,
 - Both buttons: Quit slideshow,
 - Button 3: Zoom in,
 - Button 4: Zoom out,
 - Both 3 and 4: Smart viewing.

.Topic 1347
Click this button to select the Display String used for the full-comment.

.Topic 1270
Click this button to select the display string for the picture filename.

.Topic 1321
Click this button to select the Display String used for the picture comment in full-screen mode.

.Topic 1153
Use this edit field to specify the image file that will be used for the list in the HTML files.

.Topic 1451
Select in the list the type of geometric shape to draw.

.Topic 1128
When checked and during a slideshow, errors will be ignored.
If unchecked, the slideshow will stop when a missing or damaged file is detected.

.Topic 1259
Type in this field the filename of the script to edit and execute.

.Topic 1378
Select this option to append the text to the thumbnails file name.

.Topic 1208
Click this button to rename an existing custom field.
Select the custom field in the list, type its new name and click the button.

.Topic 1334
Number of seconds before the mouse cursor will be hidden in slideshow mode.

.Topic 1306
Select the graphic type for the saved pictures.
When using combined types (JPEG/GIF and JPEG/PNG), the first type is used for full color pictures
and the second for pictures with 256 colors or less.

.Topic 1312
Select this option to add a bitmap to the converted pictures.

.Topic 1182
File version of the album

.Topic 1117
In multiple display mode, pictures are displayed from top to bottom, left to right

.Topic 1291
Select this option to associate a VBScript script to the custom tool command.

.Topic 1295
Check this option to find the pictures that have all the selected keywords and only these ones.

.Topic 1031
Press this button to delete the selected keyword

.Topic 1092
Sub-folder level to reconstruct in the target folder.
This option is useful for recreating, for the converted pictures, the same folder structure as the original pictures.
For instance, if the original file is c:\Photo\Holidays\Greece\Boat.jpg, the target folder is f:\Backup and the sub-folder level is 2.
Then the converted/resized picture or the exported thumbnail will be saved in the f:\Backup\Holidays\Greece\Boat.bmp file.

.Topic 1206
Click this button to create a new custom field (type in its name first).

.Topic 1415
Click this button to generate a standard sheet layout based on the selected parameters.
Caution: Using this button will reset the current layout and build a new one based on the new parameters values.

.Topic 1001
Color depth of the current picture (number of bits per pixel).
Videos: duration in seconds.

.Topic 1130
Click this button to select the background color of the selected thumbnails.

.Topic 1192
Press this button to select the font used for footer of the page

.Topic 1214
This field displays the description of the selected MAX.

.Topic 1297
Click this button to print the poster using the current settings.

.Topic 1156
This field specifies the spacing between two adjacent thumbnails in a HTML page or in a contact sheet.

.Topic 1390
When checked the Album Viewer will start the slideshow automatically after loading the album.

.Topic 1278
Move the selected item in the list up or down.

.Topic 1118
In multiple display mode, pictures are displayed at a random position without overlapping others

.Topic 1165
Command to play sound when the picture is displayed.
You can drag 'n drop a sound or script files to this field.
See the Play Command syntax in the Reference section of the help.

.Topic 1176
When checked, progressive encoding is used when saving JPEG file.

.Topic 1108
When checked, the current screen saved is disabled when a picture is displayed

.Topic 1310
Click this button to select the text to add a text to the converted pictures.

.Topic 1265
Save the trace in a text file (ScriptTrace.log file).
Tip: Press the Ctrl key to copy the trace to the Clipboard.

.Topic 1438
Enter in this field the physical width of the sheet layout.
Dimensions are expressed in millimeters or inches depending on the measure system selected in Windows.

.Topic 1129
Click this button to select the background color of the thumbnails.

.Topic 1422
Click this button to select the font and the color to be used for the page title.

.Topic 1303
When checked, interlacing is used when saving GIF file.

.Topic 1289
Click this button to select the script to associate to the custom command.

.Topic 1087
Number of pictures in a row in multiple display mode

.Topic 1088
Number of pictures in a column in multiple display mode

.Topic 1218
Click this button to add a list of predefined custom fields based on the selected template.

.Topic 1160
Click this button to choose more settings for customizing HTML and Contact sheet export.

.Topic 1358
This list displays the columns that are currently defined for the List View.

.Topic 1004
Size in bytes of the current picture file

.Topic 1280
Press this button to select the display string used for printing the footer of the page.

.Topic 1019
When checked, MyAlbum will use the actual path of the current album to locate the pictures.
Useful for putting an album on a CD-Rom.
The pictures should be located in subfolders of the folder the album is located.

.Topic 1293
Type in this field the script to run when the custom command is launched.

.Topic 1105
Displays the help on the current dialog box.

.Topic 1015
The first line of then comment of the picture is displayed at the bottom of the screen during the viewing of a picture

.Topic 1016
The file name of the picture is displayed at the bottom of the screen during the viewing of a picture

.Topic 1093
Size of the vertical inner margin in millimeters.

.Topic 1157
Select this option to include all the pictures of the album in the process.

.Topic 1252
When checked, the sub-title of the page will be displayed using the specified display string.

.Topic 1282
Use this field to select the keyboard shortcut to be used for starting the custom command.

.Topic 1071
Select this option to resize the picture to fit in a 1024x768 rectangle

.Topic 1041
Size in millimeters of a slide when printed

.Topic 1255
Click this button to start executing the script in the editor.

.Topic 1220
This list displays the custom fields that are define within the current album.

.Topic 1435
When checked, the picture used in the previous picture area will be used again.

.Topic 1194
Select this option to resize the picture to fit in a 1152x870 rectangle

.Topic 1389
Resizing mode used for shrinking / enlarging the pictures and generating the thumbnails.
Use HALFTONE for most pictures and BLACKONWHITE or WHITEONBLACK for some B&W pictures and drawings.
COLORONCOLOR is faster but quality is decreased.

.Topic 1271
When checked, script engine is closed when finished.
If unchecked, the script engine stays open.

.Topic 1077
Select this option to resize the picture to fit in a 1280x1024 rectangle

.Topic 1405
Select in the list the script language to use.

.Topic 1360
Use this field to define width of the column.

.Topic 1264
When checked, the footer of the page will be displayed using the specified display string.

.Topic 1371
Click this button to add files that will be published on the Web.

.Topic 1286
Click this button to modify the selected custom command.

.Topic 1315
Click this button to select the bitmap.

.Topic 1190
Click this button to select the background color of the HTML pages and contact sheets.

.Topic 1428
Enter in this field the vertical position of the selected area from the top border of the sheet.
Positions are expressed in millimeters or inches depending on the measure system selected in Windows.

.Topic 1212
Click this button to add a MAX.

.Topic 1082
URL attached to the current picture

.Topic 1131
Click this button to select the text color of the current thumbnail.

.Topic 1072
Select this option to resize the picture to fit in a user defined rectangle

.Topic 1056
Select this option to build a standard list: album information and for each picture, its name and comment.

.Topic 1195
Select this option to resize the picture to fit in a 1600x1200 rectangle

.Topic 1261
Click this button to select the script to load in the editor.

.Topic 1073
Select this option for leaving the picture size unchanged.

.Topic 1357
Click this button to delete the selected column.

.Topic 1362
Click this button to build the column's Display String.

.Topic 1106
Use this slider to select the number of paper sheet in a row

.Topic 1062
Click this button to preview the poster before printing it.

.Topic 1311
Select this option to add a text to the converted pictures.

.Topic 1123
Adjust this slider to modify the threshold.
To be considered as equivalent, two pixels must not differ by more than this value.

.Topic 1006
Number of the current picture in the album

.Topic 1112
Multiple display

.Topic 1226
Select the minimum number of digits when giving a number to the pictures. Zeroes are added to the left of the number if needed.

.Topic 1342
When checked, the keywords are sorted and cannot be rearranged.
When unchecked, the keywords can be in any order you like.

.Topic 1052
Select this option to build a CSV file (comma separated values, compatible with spreadsheet and database applications) containing the following columns: name, width, height, color depth, comment and the custom fields.

.Topic 1200
Enter in this field the size, in pixels, of the thumbnails in the contact sheet.

.Topic 1168
Enter in this field the maximum number of thumbnails to include in a film strip (Two frame page HTML page type).
Film strips are linked to each others with "Next" and "Previous" buttons.

.Topic 1326
Value of the brightness correction for the pictures of the current album.
Zero is for no correction.

.Topic 1025
String to find in the picture file name

.Topic 1142
Start the search for pictures similar to the selected picture.

.Topic 1217
Click this button to open the setup dialog box of the selected MAX.
Not all MAX have a setup dialog box.

.Topic 1251
Click this button to select the display string for the page title.

.Topic 1149
This entry field specifies the number of thumbnails to put in a column when building HTML page or contact sheet.

.Topic 1148
This entry field specifies the number of thumbnails to put in a row when building HTML page or contact sheet.

.Topic 1114
When checked, the slideshow will run automatically.

.Topic 1186
With this option selected, all the matching pictures will be displayed in a new window.

.Topic 1068
Select this option to resize the picture to fit in a 320x200 rectangle

.Topic 1209
List of the custom fields for the current picture.
Click on one of them to define its value.
Press Enter to validate the value or Esc to cancel.

.Topic 1317
Click this button to write an email to the author of MyAlbum.
You must have an Internet access to use this feature.

.Topic 1244
This field displays the result of the display string when the Test button is pressed.

.Topic 1448
This list shows the monitors connected to the computer along with their resolutions.
Select the monitor you want to use in full-screen mode.

.Topic 1423
Click this button to build the Display String for the page footer.

.Topic 1426
Click this button to select the font and the color to be used for the picture information text.
Note: when used on shape areas, only the color information will be used.

.Topic 1069
Select this option to resize the picture to fit in a 640x480 rectangle

.Topic 1074
Maximum width of the picture after resizing (aspect ration is preserved)

.Topic 1075
Maximum height of the picture after resizing (aspect ration is preserved)

.Topic 1096
Number of pixels the picture is moved when using the arrow keys

.Topic 1418
When checked, the pictures may be rotated by 90° to better use the available space in the corresponding picture area.

.Topic 1205
Type in this field the name you want to give to a new custom field.

.Topic 1185
With this option selected, all the matching pictures will be selected.

.Topic 1219
Click this button to create a new set based on the current set of custom fields.

.Topic 1070
Select this option to resize the picture to fit in a 800x600 rectangle

.Topic 1163
Click this button to select the HTML background file.

.Topic 1248
This list displays the macro pertaining to the custom fields.

.Topic 1033
Full pathname of the application that will be used for editing a picture.

.Topic 1181
This field specifies the height of the contact sheets in pixels.

.Topic 1180
This field specifies the width of the contact sheets in pixels.

.Topic 1189
This list displays the MAX files that are currently loaded and will be automatically loaded when the MyAlbum application is started.

.Topic 1111
Press this button to select the font used for printing the title of the page

.Topic 1391
When checked the Album Viewer will terminate when leaving the full-screen mode (either picture viewing and slideshow).

.Topic 1050
Enter in this field the text that will be added at the beginning of the contact sheet files.

.Topic 1414
Enter in this field the number of columns the generated layout will have.

.Topic 1191
Click this button to select the text color of the HTML pages and contact sheets.

.Topic 1057
Path of the target directory where the converted pictures will be stored

.Topic 1339
Select in this list the command you want to use with your joystick.

.Topic 1225
Select the starting number the first picture of the set will receive.

.Topic 1103
Size of the horizontal inner margin in millimeters

.Topic 1158
Select this option to include all the selected pictures of the album in the process.

.Topic 1119
In multiple display mode, pictures are displayed at a random position, overlapping others

.Topic 1304
When checked, interlacing is used when saving PNG file.

.Topic 1257
This list shows the trace generated by the execution of the script.
Compilation and run-time errors are also displayed here.

.Topic 1455
Select this option to use the advanced rename mode.
The standard mode use a simple base name and a number to rename the pictures.
The advanced mode use a Display String to build the new names of the pictures to be renamed.

.Topic 1066
List of the file types that MyAlbum can display

.Topic 1026
Select a matching case find or not

.Topic 1299
Use this edit field to specify the image file that will be used as background for the Two frame page HTML files.

.Topic 1135
Press this button to select the background color of the comment.

.Topic 1139
When checked, the comment uses a transparent background (the background color is then ignored).

.Topic 1102
Size of the bottom margin in millimeters

.Topic 1184
With this option selected, only the first matching picture will be selected.
Use "Find Next" (F3) to find the next matching pictures.

.Topic 1147
This list displays the macro pertaining to the filename of the current picture.

.Topic 1254
Click this button to select the display string for the page sub-title.

.Topic 1188
List of the keywords for the current picture.
The keywords attached to the picture are those selected.

.Topic 1425
Click this button to build the Display String for the picture information text.

.Topic 1017
Press this button to select the font used for displaying the comment at the bottom of the screen during the viewing of a picture

.Topic 1002
Original full file name of the current picture

.Topic 1340
Click this button to assign joystick button(s) to the selected command.

.Topic 1134
Press this button to select the color used as the background of the screen.

.Topic 1325
Use this slider to adjust the brightness of the pictures of the current album.
Set the slider to zero for no correction.
Note: This slider is disabled if your system doesn't support ICM 2.0 Color Management.

.Topic 1232
This field display the value of the display string.
You can either type text and macros in this field or select the macros in the list boxes below.

.Topic 1169
When checked, MyAlbum will launch the default Web browser with the newly generated HTML page so you can directly see the result.

.Topic 1085
When checked, the left mouse button is used to advance to the next picture during a slideshow

.Topic 1143
Click this button to select the pictures to add to your new album.

.Topic 1144
Click this button to select the folder to inspect.
Pictures in this folder will be added to your new album.

.Topic 1164
When selected, MyAlbum will use a built in file for the HTML background image. This image looks like a piece of 35mm film.

.Topic 1263
Click this button to save the script.

.Topic 1245
This list displays the macro pertaining to the album and the application.

.Topic 1433
Select in the list the picture area that will be linked to the current text area.
The corresponding picture area will flash briefly to show you which one will be used.

.Topic 1266
Click this button to select the display string for the page footer.

.Topic 1010
Total number of pictures of the album. Between parenthesis: Number of non hidden pictures.

.Topic 1224
Type in this field the string that will be used as the base for the new name.

.Topic 1018
The size of the picture is displayed at the bottom of the screen during the viewing of a picture.
Size = width, height, color depth and number of sub images (animated GIF for instance).

.Topic 1279
Press this button to select the display string used for printing the title of the page.

.Topic 1012
Initial display mode when viewing a picture or starting a slideshow.
-Normal: no zoom
-Stretch: fit to screen
-Zoom x2: enlarge by 2
-Zoom x3: enlarge by 3
-Zoom ½: half size
-Smart: fit to screen, small pictures are zoom by 3
-Shrink: only pictures bigger than the screen are reduced to fit
-Enlarge: only pictures smaller than the screen are enlarged to fit
-Fit Horz: fit the picture using only its height
-Fit Vert: fit the picture using only its width
-Simple draw: picture is displayed without zoom and without erasing the background.

.Topic 1138
Press this button to select the text color of the comment pop-up window.

.Topic 1272
Click this button to close the script editor dialog box.

.Topic 1051
When selected, find the pictures that have at least one of the selected keywords

.Topic 1246
Click this button to test the display string currently edited.

.Topic 1283
This list displays the currently defined custom commands.

.Topic 1132
Click this button to select the text color of the thumbnails.

.Topic 1416
When checked, a title text area will be added to the generated standard layout.

.Topic 1058
Click this button to modify only the current picture

.Topic 1047
Size of the left margin in millimeters

.Topic 1392
Check this option to resize the pictures to exactly the specified dimension.
Colored borders will be added to fill the empty space.

.Topic 1213
Click this button to remove the selected MAX. It will not be loaded the next time MyAlbum will be started.

.Topic 1335
Click this button to define how the joystick buttons will be used during a slideshow.

.Topic 1431
Select in the list the horizontal alignment for the text inside the selected text area.

.Topic 1432
Select in the list the vertical alignment for the text inside the selected text area.

.Topic 1009
Delay in second between two pictures during an automatic slideshow

.Topic 1439
Enter in this field the physical height of the sheet layout.
Dimensions are expressed in millimeters or inches depending on the measure system selected in Windows.

.Topic 1035
Click this button to select the directory

.Topic 1243
Click this button to add the selected macro to the edit field.
The code of the macro will be inserted at the cursor position.
You can also double-click one macro to add it.

.Topic 1348
When checked, the application will use the DirectX DirectShow library (if it is installed) for playing the videos.
If some videos are not played with the option off, try with the option on.
Note: Frame copy is not possible with this option enabled.

.Topic 1007
Number of pictures in the current album

.Topic 1151
This field specifies the text to append or prepend to the thumbnails when saved to disk.
For instance if '_th' is specified, a picture named 'mypicture.jpg' will be saved as 'mypicture_th.jpg'.

.Topic 1452
If checked, the selected shape area will be filled, if not, only the outline will be drawn.

.Topic 1284
Click this button to create a new custom command (fill the description fields below first).

.Topic 1367
This drop-down list shows the Web sites where you can found the most recent version of MyAlbum.

.Topic 1343
When checked, the application will use the DirectX DirectDraw library (if it is installed).
DirectDraw improve the display speed on modern computers.

.Topic 1374
This list displays the items for the list custom field from which the user will choose from.

.Topic 1382
This field specifies the width of the thumbnail shadow on a contact sheet.
Set it to 0 to suppress the shadow.

.Topic 1393
Click this button to select the fill color.

.Topic 1116
Relative speed of the picture movement when panning with the joystick

.Topic 1091
Relative size of the pictures in multiple display mode

.Topic 1124
Adjust this slider to modify the maximum acceptable difference, that is the number of different pixels.
Picture that will score less than this value will be considered as similar to the reference picture.

.Topic 1331
When checked, pictures are dropped (in a drag'n drop operation) in the reverse order.
When unchecked, they are dropped in the normal album order.

.Topic 1210
This drop-down list shows the available types for the custom fields.

.Topic 1290
Select this option to associate a script file to the custom tool command.

.Topic 1363
Select in this list the alignment of the texts of the column.

.Topic 1174
When checked the (little) thumbnail pictures are used for printing the album or drawing the contact sheet. When unchecked, images are reloaded from their original file, producing a better (but slower) result.

.Topic 1175
Use this field to specify the compression level to use when saving JPEG file.
Valid values range from 0 (best compression, worse image quality) to 100 (low compression, best quality).
75 is the default.

.Topic 1086
When checked, the space bar is used to advance to the next picture during a slideshow

.Topic 1444
Click this button to set the margins to the minimal width supported by the current printer.

.Topic 1183
Type in this area the pathname where the picture is really located

.Topic 1427
Enter in this field the horizontal position of the selected area from the left border of the sheet.
Positions are expressed in millimeters or inches depending on the measure system selected in Windows.

.Topic 1287
Type in this field the title of the new custom command. This text will appear in the Tools menu.

.Topic 1152
Date of the picture file

.Topic 1345
When checked, the comment uses a gray shadow to improve readability.

.Topic 1250
When checked, the title of the page will be displayed using the specified display string.

.Topic 1370
When checked, the files located in the sub-folders of the export folder are included in the list.

.Topic 1201
When checked, the selected keyword works as a Tab.
The list of the tab keywords are displayed as buttons at the bottom of the screen where you can use then as filters.

.Topic 1424
Click this button to select the font and the color to be used for the page footer.

.Topic 1021
Search the album for pictures having the specified text in their filename

.Topic 1049
Size of the right margin in millimeters

.Topic 1296
When checked, the thumbnails are compressed when the album is saved.
The album file is smaller but the saving and loading are somewhat slower...

.Topic 1344
Enter in this field the name of a static picture that will be used for this picture area.

.Topic 1120
Reference picture for the similar picture searching.

.Topic 1146
Select this option to export the current album as HTML pages.

.Topic 1421
Click this button to build the Display String for the page title.

.Topic 1193
Click this button to select the shadow color of the contact sheets.

.Topic 1100
Number of pixels the picture is scrolled when the mouse wheel is used.

.Topic 1011
Date the album was created

.Topic 1014
Press this button to select the font used for the thumbnails.

.Topic 1216
This drop-down list shows the templates that can be used for speeding the creation of custom fields.

.Topic 1053
When selected, find the pictures that have all the selected keywords

.Topic 1436
When checked, the picture cropping information will be used for processing the picture. If not checked, the whole picture will be used.

.Topic 1328
Select this option to publish only the selected pictures of the album.

.Topic 1361
Use this field to define the Display String that will be used to fill the column.

.Topic 1098
Number of pixels the picture is moved when using the page keys (Page up and down, Home and End)

.Topic 1380
Type in this field the text for the list item.

.Topic 1420
When checked, a text area with information about the picture will be added to the generated standard layout for each picture area.

.Topic 1024
Size of a thumbnail in pixels

.Topic 1434
When checked, the pictures will fill completely the corresponding picture area.
The pictures will be cropped to fill the area so some part of the pictures will not be printed (borders).

.Topic 1258
Click this button to select the display string for the picture information.

.Topic 1320
Click this button to select the Display String used for the thumbnail caption.

.Topic 1322
Click this button to select the Display String used for the thumbnail tool tips.

.Topic 1417
When checked, a footer text area will be added to the generated standard layout.

.Topic 1256
When checked, the information about the picture will be displayed using the specified display string.

.Topic 1121
Gray scale pattern derived from the reference picture.

.Topic 1032
Press this button to rename the selected keyword

.Topic 1137
Press this button to select the background color of the comment pop-up window.

.Topic 1020
Checked if picture is hidden in the album.
Use this checkbox to hide or show a picture.

.Topic 1275
Enter in this field the scaling (%) to be applied to the pictures.
This parameter is used by the "Image list page" output type.

.Topic 1101
Select pictures that contain more than one sub-picture (animated GIF, multipage TIFF and video for instance)

.Topic 1262
Click this button to select the display string for the picture tool-tip.

.Topic 1166
Select this option to include only the first line of the picture's comment.

.Topic 1059
Click this button to modify all the selected pictures

.Topic 1366
Use this field to define how the dates and times appear in the application.

.Topic 1159
Select this option to include all the visible pictures of the album in the process.

.Topic 1177
When checked, the name of the album will be included in the HTML page or the contact sheet.

.Topic 1000
Size of the current picture file (width x height)

.Topic 1003
Comment describing the current picture

.Topic 1365
Click this button to create a new column using the specified characteristics.

.Topic 1023
Find pictures in the album having the specified keyword(s)

.Topic 1229
Find pictures in the album having the specified custom field value.

.Topic 1407
Find pictures in the album for which the specified VBScript expression will be evaluated as "True".

.Topic 1442
Type the VBScript expression that will be "True" for the matching pictures.
The "alb" and "pic" variables will point to the current album and the picture to check.

.Topic 1187
List of the keywords to search.

.Topic 1230
Select in this list the Custom Field to use for the search and type the value to look for.
Note: Only the selected Custom Field will be used.

.Topic 1178
When checked, the description of the album will be included in the HTML page or the contact sheet.

.Topic 1013
Date the album was last saved

.Topic 1314
Click this button to select the font and color of the text.

.Topic 1375
Click this button to add a new item to the list.

.Topic 1341
Click this button to clear the current button assignment.

.Topic 1061
This field shows the version number of MyAlbum.
Include it in any mail you may send to the MyAlbum support.

.Topic 1223
This field shows the language DLL currently in use.

.Topic 1067
This field shows various information about MyAlbum.
When looking for a new version of MyAlbum, the ReadMe.txt file of the new version
(if one is found) is displayed here.

.Topic 1383
This is a welcome message.

.Topic 1384
Click this button after having read the message to continue.

.Topic 1145
Select this option to create new albums without the help of the wizard.

.Topic 1460
This field is for entering a copyright notice or any information text that will be displayed
in the "About" box of the MyAlbum Viewer.

.Topic 1463
Select in this drop-down list the type of character encoding to be used with the HTML files.

.Topic 1464
Enter in this field the name of the sub-folder of the "Output folder" where the thumbnails will be saved.

.Topic 1369
Check this option so the "Two frame page" HTML template will display the full-sized
picture along with it's comment (in the right frame).

.Topic 1385
Use this field to define the Display String that will be used to take into account a new
value entered by the user in a cell.  Leave this field empty for a read-only column or type
a mutable Display String to have an editable column (the texts will then be displayed in blue).

.Topic 1368
Click this button to build Display String that will be used when the
user has modified the cell value in the column.

.Topic 1466
Select the sorting method to use on this column.

.Topic 1472
Click this button to select the font used in the script editor.  Note: the enhanced script editors
requires a mono-spaced font.

.Topic 1477
Click this button to select the text color of the script code.

.Topic 1478
Click this button to select the background color of the script editor window.

.Topic 1473
Click this button to select the color of the comments.

.Topic 1474
Click this button to select the color of the language keywords.

.Topic 1475
Click this button to select the color of the strings.

.Topic 1476
Click this button to select the color of the numbers.

.Topic 1467
Select this option to have the picture mirrored from left to right.

.Topic 1468
Select this option to have the picture flipped from top to bottom.


Edit Repeat Command

Repeat command (Edit menu)

Use this command to repeat the last editing command carried out. The Repeat menu item changes to Can't Repeat if you cannot repeat your last action.

Shortcut

Key: F4


Undo

Undo/Can't Undo command (Edit menu)

Use this command to reverse the last editing action, if possible. The name of the command changes, depending on what the last action was. The Undo command changes to Can't Undo on the menu if you cannot reverse your last action.

Shortcuts

Keys: CTRL + Z or ALT + BACKSPACE


File 1, 2, 3, 4 command

1, 2, 3, 4,... command (File menu)

Use the numbers and filenames listed at the bottom of the File menu to open the last albums you closed. Choose the number that corresponds with the album you want to open.


Using Context Help

Context Help command

Use the Context Help command to obtain help on some portion of MyAlbum. When you choose the Toolbar's Context Help button, the mouse pointer will change to an arrow and question mark. Then click somewhere in the MyAlbum window, such as another Toolbar button. The Help topic will be shown for the item you clicked.

Shortcut

Toolbar:

Keys: Shift + F1


Using Help command

Using Help command (Help menu)

Use this command for instructions about using Help.


Delete area Command

This command will delete the selected area from the current layout.


Load sheet layout Command

This command will load an existing sheet layout file from the disk.

Once the layout is loaded, the display will change to the print preview mode.


Move downwards Command

This command will move the selected area downwards, so it will be under the other areas.


Move upwards Command

This command will move the selected area upwards, so it will be over the other areas.


New picture area Command

This command will add a new area of type picture to the current layout.

You can the move and resize the newly created area with the mouse and edit its properties in the Edit area properties dialog box.


New shape area Command

This command will add a new area of type shape to the current layout.

You can the move and resize the newly created area with the mouse and edit its properties in the Edit area properties dialog box.


New text area Command

This command will add a new area of type text to the current layout.

You can the move and resize the newly created area with the mouse and edit its properties in the Edit area properties dialog box.


Save sheet layout Command

This command will save the current sheet layout file to disk.


Save sheet layout as Command

This command will save the current sheet layout file to disk under a new name.


Unzoom Command

This command will zoom backwards the current sheet layout.


Zoom Command

This command will zoom the current sheet layout.


Rotate 90° left command (Picture menu)

This command rotates the selected JPEG pictures by 90° counter-clockwise.


Rotate 90° right command (Picture menu)

This command rotates the selected JPEG pictures by 90° clockwise.


Rotate 180° command (Picture menu)

This command rotates the selected JPEG pictures by 180°.


Sort ascending command (Picture menu)

Select this menu option to perform a sort in an ascending order.


Sort by color depth command (Picture menu)

This command sorts the album using the number of colors of the pictures.


Sort by comment command (Picture menu)

This command sorts the album using the comment of the pictures.


Sort by date command (Picture menu)

This command sorts the album using the date of the pictures (date the file was last modified).


Sort descending command (Picture menu)

Select this menu option to perform a sort in a descending order.


Sort by filename command (Picture menu)

This command sorts the album using the filename of the pictures (without the directory).


Sort by first keyword command (Picture menu)

This command sorts the album using the first keyword of the pictures.


Sort by full pathname command (Picture menu)

This command sorts the album using the full pathname of the pictures (including the directory name).


Sort by size command (Picture menu)

This command sorts the album using the size of the pictures (width x height).


Close command

Close command (Control menus)

Use this command to close the active window or dialog box.

Double-clicking a Control-menu box is the same as choosing the Close command.

Note: If you have multiple windows open for a single document, the Close command on the document Control menu closes only one window at a time. You can close all windows at once with the Close command on the File menu.

Shortcuts

Keys: CTRL + F4 closes a document window
ALT + F4 closes the MyAlbum window or dialog box


Maximize command (System menu)

Use this command to enlarge the active window to fill the available space.

Shortcut

Mouse: Click the maximize icon [image] on the title bar; or double-click the title bar.

Keys: CTRL + F10 enlarges a document window.


System Minimize Command

Minimize command (application Control menu)

Use this command to reduce the MyAlbum window to an icon.

Shortcut

Mouse: Click the minimize icon [image] on the title bar.

Keys: ALT + F9


Move command (Control menu)

Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is unavailable if you maximize the window.

Shortcut

Keys: CTRL + F7


Next Window command (document Control menu)

Use this command to switch to the next open document window. MyAlbum determines which window is next according to the order in which you opened the windows.

Shortcut

Keys: CTRL + F6


Previous Window command (document Control menu)

Use this command to switch to the previous open document window. MyAlbum determines which window is previous according to the order in which you opened the windows.

Shortcut

Keys: SHIFT + CTRL + F6


Restore command (Control menu)

Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.


Size command (System menu)

Use this command to display a four-headed arrow so you can size the active window with the arrow keys.

After the pointer changes to the four-headed arrow:

1.Press one of the DIRECTION keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.

2.Press a DIRECTION key to move the border.

3.Press ENTER when the window is the size you want.

Note: This command is unavailable if you maximize the window.

Shortcut

Mouse: Drag the size bars at the corners or edges of the window.


Split

Split Command (Window menu)

Use this command to split the active window into panes. You may then use the mouse or the keyboard arrows to move the splitter bars. When you are finished, press the mouse button or enter to leave the splitter bars in their new location. Pressing escape keeps the splitter bars in their original location.


Removing a cropping rectangle definition for a picture

Clear cropping definition command

Use this command to delete the cropping rectangle for the displayed picture.

The picture will then be displayed unchanged.


Multiple display

In this mode more than one picture can be displayed (with a smaller size)


Quit the slideshow

Click this button to close the full-screen slideshow window and return to the thumbnail view.

Shortcuts

Toolbar:

Keyboard : Esc

Mouse : Press both buttons


Tile Horizontal command (Window menu)

Use this command to vertically arrange multiple opened windows in a non-overlapped fashion.


Build display string

This dialog box is used to build display strings that are used for displaying information about the album, a picture or other items.

MyAlbum makes an extensive use of Display Strings as they are very useful and flexible for choosing and formatting the information you want to be displayed on the thumbnails, in full-screen mode, in generated HTML pages...

A display string contains text and macros that are expanded with the information related to the picture.

A macro begins with the percent sign (%) and is composed of two characters (Caution: case sensitive!):

e.g.:
%FN : will display the filename of the picture,
%FK : will display the size in kilobytes of the file containing the picture,
%1C : will display the first line of the picture comment.

Applied to a picture, the display string %FN (%FK KB) - %1C will be expanded like this:
Sunset.jpg (49 KB) - Sunset in Namibia : Etosha national park

The macros defined in MyAlbum are described in the Technical Reference part of the online help.

Tip:
Use %% for displaying a single percent sign.
Use %| for a line break.


File Open dialog box

The following options allow you to specify which file to open:

File Name

Type or select the filename you want to open. This box lists files with the extension you select in the List Files of Type box.

List Files of Type

Select the type of file you want to open: MyAlbum file type.

Drives

Select the drive in which MyAlbum stores the file that you want to open.

Directories

Select the directory in which MyAlbum stores the file that you want to open.

Network...

Choose this button to connect to a network location, assigning it a new drive letter.


Joystick setup

This dialog box is used to define how the joystick buttons will be used in a slideshow.

First, select a command in the list, click the Assign joystick button(s) button, then press and hold the joystick button(s) you want to use with this command.

The command list shows standard slideshow command (Next picture, zoom,…) and the custom commands of the Tools menu you have defined using the Tools | Customize… command.


Print dialog box

The following options allow you to specify how the album should be printed:

Printer

This is the active printer and printer connection. Select one of the printers of the drop down list.

Setup

Displays a Print Setup dialog box, so you can edit the printer's parameters and options.

Print Range

Specify the pages you want to print:

All | Prints the entire album.
Pages | Prints the range of pages you specify in the From and To boxes.

Copies

Specify the number of copies you want to print for the above page range.

Collate Copies

Prints copies in page number order, instead of separated multiple copies of each page.

Print Quality

Select the quality of the printing. Generally, lower quality printing takes less time to produce.


Print Progress Dialog

The Printing dialog box is shown during the time that MyAlbum is sending output to the printer. The page number indicates the progress of the printing.

To abort printing, choose Cancel.


Print Setup dialog box

The following options allow you to select the destination printer and its connection.

Printer

Select the printer you want to use. Choose the Default Printer; or choose the Specific Printer option and select one of the current installed printers shown in the box. You install printers and configure ports using the Windows Control Panel.

Orientation

Choose Portrait or Landscape.

Paper Size

Select the size of paper that the document is to be printed on.

Paper Source

Some printers offer multiple trays for different paper sources. Specify the tray here.

Options

Displays a dialog box where you can make additional choices about printing, specific to the type of printer you have selected.

Network...

Choose this button to connect to a network printer.


File Save As dialog box

The following options allow you to specify the name and location of the file you're about to save:

File Name

Type a new filename to save a document with a different name. MyAlbum adds the extension you specify in the Save File As Type box.

Drives

Select the drive in which you want to store the document.

Directories

Select the directory in which you want to store the document.

Network...

Choose this button to connect to a network location, assigning it a new drive letter.


No Help Available

No help is available for this area of the window.


No Help Available

No help is available for this message box.

<< If you wish to author help specific to each message box prompt, then remove the AFX_HIDP_xxx values from the [ALIAS] section of your .HPJ file, and author a topic for each AFX_HIDP_xxx value. For example, AFX_HIDP_INVALID_FILENAME is the help topic for the Invalid Filename message box. >>


Installing a new script engin

Installing a new script language:

  • In the registry create a new string key HKEY_CURRENT_USER\Software\DigitalMATRIX\MyAlbum\Settings\ScriptEnginei (with i starting at 1).
  • Set the value of this key to the following text: <Script>|<Script files name>|<Script files extension>
    • <Script> is the name of the script engine (its CLSID).
    • <Script files name> is the user friendly description of the script files.
    • <Script files extension> is the file extension of files written in the language.

For instance for PerlScript:
ScriptEngine1 = PerlScript|PerlScript files (*.pls)|.pls


Date format

The codes here are those of the standard C language library 'strftime'.

The format argument consists of one or more codes; as in printf, the formatting codes are preceded by a percent sign (%).

Characters that do not begin with % are copied unchanged. The LC_TIME category of the current locale affects the output formatting. (For more information on LC_TIME, see setlocale.) The formatting codes are listed below:

%a | Abbreviated weekday name
%A | Full weekday name
%b | Abbreviated month name
%B | Full month name
%c | Date and time representation appropriate for locale
%d | Day of month as decimal number (01 – 31)
%H | Hour in 24-hour format (00 – 23)
%I | Hour in 12-hour format (01 – 12)
%j | Day of year as decimal number (001 – 366)
%m | Month as decimal number (01 – 12)
%M | Minute as decimal number (00 – 59)
%p | Current locale›s A.M./P.M. indicator for 12-hour clock
%S | Second as decimal number (00 – 59)
%U | Week of year as decimal number, with Sunday as first day of week (00 – 53)
%w | Weekday as decimal number (0 – 6; Sunday is 0)
%W | Week of year as decimal number, with Monday as first day of week (00 – 53)
%x | Date representation for current locale
%X | Time representation for current locale
%y | Year without century, as decimal number (00 – 99)
%Y | Year with century, as decimal number
%z, %Z | Time-zone name or abbreviation; no characters if time zone is unknown
%% | Percent sign

As in the printf function, the # flag may prefix any formatting code. In that case, the meaning of the format code is changed as follows.

Format Code Meaning

%#a, %#A, %#b, %#B, %#p, %#X, %#z, %#Z, %#% # flag is ignored.

%#c Long date and time representation, appropriate for current locale. For example: “Tuesday, March 14, 1995, 12:41:29”.

%#x Long date representation, appropriate to current locale. For example: “Tuesday, March 14, 1995”.

%#d, %#H, %#I, %#j, %#m, %#M, %#S, %#U, %#w, %#W, %#y, %#Y Remove leading zeros (if any).


Print Preview toolbar

The print preview toolbar offers you the following options:

Print
Bring up the print dialog box, to start a print job.

Next Page
Preview the next printed page.

Prev Page
Preview the previous printed page.

One Page / Two Page
Preview one or two printed pages at a time.

Zoom In
Take a closer look at the printed page.

Zoom Out
Take a larger look at the printed page.

Close
Return from print preview to the editing window.


Scroll bars

Displayed at the right and bottom edges of the album window. The scroll boxes inside the scroll bars indicate your vertical and horizontal location in the album. You can use the mouse to scroll to other parts of the album.


Title Bar

<< Show your application's title bar here. >>

The title bar is located along the top of a window. It contains the name of the application and document.

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

A title bar may contain the following elements:

Application Control-menu button

Document Control-menu button

Maximize button

Minimize button

Name of the application

Name of the document

Restore button